'=================================================
' Mac-template.bas 09-3110 v.10

' realizzazione di template personalizzato
' con pagine comandi
'pagina 1 : MOVIMENTI BASE
'pagina 2 : DANCE
'pagina 3 : COMANDO SINGOLO SERVO + MOVIMENTI PARZIALI+MEMORIZZA/ESEGUI SEQUENZA
'pagina 4 : SPORT
'pagina 5 : COMBATTIMENTO
'pagina 6 : DIMOSTRAZIONI CAPACITA' ROBOZAK
'=================================================


'   UTENTE  stai utilizzando una
'	versione "work in progress" del mio MAC-template 09-3110 v.1.0 
'	sicuramente troverai dei BUG da correggere. 
'   aiutami a corregerLi agendo in prima persona e/o segnalandoli al mio indirizzo 
'   
'   mail marcolle@libero.it
'

'	Ciao e buon divertimento
'
'	MAC 


'=================================================
'=================================================
'=================================================
'				DA FARE 							
'=================================================

' 1 - creare ROUTINE

'front_push				Spinta fronte
'rear_push				Spinta retro
'front_jump_push		balzo fronte
'rear_jump_push			balzo retro
'left forward punch		attacco frontale di pugno SX da posizione ERETTA
'rigth forward punch	attacco frontale di pugno DX da posizione ERETTA
'sit left attack		attacco laterale SX seduto
'sit right attack		attacco laterale DX seduto
'sit forward punch		serie di pugni frontali da posizione SEDUTA
'sit left turn			rotazione sx da posizione SEDUTA
'sit rigth turn			rotazione dx da posizione SEDUTA
'piegamento sx			piegamento laterale con appoggio mano e movimento gambe
'piegamento sx			piegamento laterale con appoggio mano e movimento gambe


'== auto_main ====================================
GOTO AUTO
FILL 255,10000

'== dichiarazione variabili ======================

DIM RR AS BYTE' RR : internal parameter variable / ROBOREMOCON / Action command
DIM TASTO AS BYTE' TASTO  : variabile temporanea/ REMOCON numero del tasto premuto
DIM OLD_TASTO AS BYTE ' variabile temporanea utilizzata in movimento continuo per recupero valore tasto
DIM TASTO16_POWER AS BYTE' tasto16_POWER: variabile temporanea per controllare la pressione del tasto n...
DIM TASTO_SCELTA_PAGINA AS BYTE ' variabile temporanea per la scelta della pagina comandi
DIM PAGINA AS BYTE 'definisce la pagina comandi operativa
DIM PAGINA_TEMP AS BYTE ' memorizza temporaneamente pagina in  acq sequenza mosse
DIM CICLO AS BYTE ' variabile temporanea
DIM GRADI AS BYTE ' variabile temporanea lettura gradi posizione servo
DIM N_SERVO AS BYTE ' n del servo gestito per movimenti singolo pagina comandi 3
DIM FUNZ_MUOVI_SERVO AS BYTE ' variabile di controllo per movimenti singolo servo pagina comandi 3
DIM CIFRA AS BYTE ' variabile temporanea nella def. n. servo nella pagina comandi 3
DIM G AS BYTE 'variabile temporanea per cicli
DIM ACCOVACCIATO AS BYTE 'variabile per posizione accovacciamento
DIM DIR_MOV_ACCOVACCIATO AS BYTE ' valore 1 alza valore 0 scendi per movimento accovacciamento
'variabili PAGMOSSA0..PAGMOSSAmaxMosse-1 e MOSSA0..MOSSAmaxMosse-1   utilizzate per momoria sequenza
DIM PAGMOSSA0 AS BYTE
DIM PAGMOSSA1 AS BYTE
DIM PAGMOSSA2 AS BYTE
DIM PAGMOSSA3 AS BYTE
DIM PAGMOSSA4 AS BYTE
DIM PAGMOSSA5 AS BYTE
DIM PAGMOSSA6 AS BYTE
DIM PAGMOSSA7 AS BYTE
DIM PAGMOSSA8 AS BYTE
DIM PAGMOSSA9 AS BYTE
DIM PAGMOSSA10 AS BYTE
DIM PAGMOSSA11 AS BYTE
DIM PAGMOSSA12 AS BYTE
DIM PAGMOSSA13 AS BYTE
DIM PAGMOSSA14 AS BYTE
DIM MOSSA0 AS BYTE
DIM MOSSA1 AS BYTE
DIM MOSSA2 AS BYTE
DIM MOSSA3 AS BYTE
DIM MOSSA4 AS BYTE
DIM MOSSA5 AS BYTE
DIM MOSSA6 AS BYTE
DIM MOSSA7 AS BYTE
DIM MOSSA8 AS BYTE
DIM MOSSA9 AS BYTE
DIM MOSSA10 AS BYTE
DIM MOSSA11 AS BYTE
DIM MOSSA12 AS BYTE
DIM MOSSA13 AS BYTE
DIM MOSSA14 AS BYTE
DIM N_MOSSA AS BYTE ' variabile contatore mosse sequenza mosse
DIM MOSSA AS BYTE ' variabile temporanea per acquisizione sequenza mosse
DIM PAGMOSSA AS BYTE ' variabile temporanea per acquisizione sequenza PAGINA mosse
DIM OLDPAGINA AS BYTE ' variabile temporanea per salvataggio valore PAGINA
DIM VERIF_MOSSA AS BYTE ' verifica validita' mossa 0=False 1 = True
DIM SEQUENZA_ATTIVA AS BYTE ' verifica sequenza in atto 0=False 1 = True
DIM SEQUENZA_ESISTENTE AS BYTE ' verifica esistenza sequenza memorizzata 0 = False 1 True
DIM TASTO_SEQUENZA_ON_OFF AS BYTE' verifica pressione tasto per attiva-disattiva acq-sequenza
DIM PAUSA AS INTEGER  ' nell'inserimento sequenza memorizza il n. secondi per pausa
DIM MANO_SX_STATO AS BYTE ' 0=Chiusa 1 = Aperta
DIM MANO_DX_STATO AS BYTE ' 0=Chiusa 1 = Aperta
DIM BRACCIO_SX_STATO AS BYTE ' 0=Abbassato 1 = Alzato frontale 2= Alzato verticale
DIM BRACCIO_DX_STATO AS BYTE ' 0=Abbassato 1 = Alzato frontale 2= Alzato verticale
DIM SEDUTO_ERETTO AS BYTE ' 0= Seduto 1=Eretto
DIM START_STOP AS BYTE ' 0= nessun ostacolo 1=ostacolo frontale
DIM OSTACOLO AS BYTE ' variabile temporanea per acquisizione valore sensore prossimit

DIM LED_state AS BYTE ' variabile temporanea per verifica stato Led Testa 0= acceso 1= spento
CONST MAXMOSSE =15 ' definisce il numero massimo di mosse nella sequenza programmata
CONST MAXPAGINE = 6  'definisce il numero massimo di pagine comandi gestite
CONST ID = 0     ' 1:0, 2:32, 3:64, 4:96,
CONST N_SERVO_MANO_SX=11 ' designa che il servo per il controllo della mano SX e' il n. 11
CONST N_SERVO_MANO_DX=17 ' designa che il servo per il controllo della mano SX e' il n. 17



'== Action command check (50 - 82) ===============

IF RR > 50 AND RR < 83 THEN
	TASTO = RR
	RR=0
	GOTO execute_action
ENDIF

'====== inizializzazione variabili ===============

RR = 0
TASTO16_POWER=0 		'inizializzata a ZERO significa che Robozak si attivera' alla prima pressione del tasto ON/OFF
PAGINA = 0 				' imposta pagina 1 dei comandi
GRADI = 0
N_SERVO = 0
FUNZ_MUOVI_SERVO = 0
ACCOVACCIATO= 14		' inizializzata a 14 significa in standard pose
GOSUB azzera_mosse_sequenza' routine per l'azzeramento della memoria sequenza mosse
N_MOSSA=0					' azzera contatore sequenza mosse
VERIF_MOSSA=0				' azzera controllo validita' mossa : 0 mossa NON valida 1 mossa valida
SEQUENZA_ATTIVA=0			' segnala se l'esecuzione della sequenza e' in corso : 0 NON esecuzione 1 in esecuzione
SEQUENZA_ESISTENTE=0		' segnala se la sequenza e' esistente : 0 NON esiste 1 esiste
TASTO_SEQUENZA_ON_OFF=0		' segnala se e' stato premuto tasto per inizio/fine memorizzazione sequenza
MANO_SX_STATO=0				' imposta stato mano SX 0 = Chiusa
MANO_DX_STATO=0				' imposta stato mano DX 0 = Chiusa
SEDUTO_ERETTO=1				' imposta posizione iniziale SEDUTO_ERETTO su 1=eretto
BRACCIO_SX_STATO=0			' imposta stato mano SX 0 = Abbassato
BRACCIO_DX_STATO=0			' imposta stato mano DX 0 = Abbassato
LED_state=1					' imposta stato LED =1 acceso

PTP SETON
PTP ALLON

'== Settaggio direzione motori ===================

DIR G6A,1,0,0,1,0,0
DIR G6B,1,1,1,1,1,1
DIR G6C,0,0,0,0,0,0
DIR G6D,0,1,1,0,1,0


'== Settaggio degli zero point ===================


ZERO G6A,103,  97, 100, 100, 101, 100
ZERO G6B,101, 105, 102, 100, 100, 100
ZERO G6C, 96, 104, 102, 100, 100, 100
ZERO G6D, 99, 105, 102,  98, 104, 100


'== Settaggio limiti servomotori =================
' da definire


'== motor start position read ====================

TEMPO 230
MUSIC "CDE"
GETMOTORSET G6A,1,1,1,1,1,0
GETMOTORSET G6B,1,1,1,0,0,0
GETMOTORSET G6C,1,1,1,0,0,0
GETMOTORSET G6D,1,1,1,1,1,0

'================== MAIN =========================
'=================================================
MAIN:
TASTO=0
IF RR = 0 THEN
	GOSUB get_IR
	GOSUB execute_action
ENDIF
GOSUB main_exit
GOTO MAIN

'===============execute_action ===================
execute_action:
	IF TASTO16_POWER=0 THEN						' attraverso lo stato di TASTO16_POWER verifichiamo se ROBOZAK e' acceso o spento
		IF TASTO<>16 THEN GOTO main_exit		' se spento attendiamo la pressione del tasto ON/OFF
	ENDIF

	IF TASTO_SCELTA_PAGINA=1 AND TASTO<MAXPAGINE THEN 'passiamo a nuova pagina comandi
		PAGINA=TASTO
		TASTO=0
		TASTO_SCELTA_PAGINA=0
	ENDIF

	ON TASTO GOTO MAIN,K1,K2,K3,K4,K5,K6,K7,K8,K9,K10,K11,K12,K13,K14,K15,K16,K17,K18,K19,K20,K21,K22,K23,K24,K25,K26,K27,K28,K29,K30,K31,K32
RETURN

'================= main_exit======================
main_exit:
	IF RR > 50 THEN RETURN
	RR = 0
GOTO MAIN

'============= FINE MAIN =========================
'=================================================

'==  leggi il tasto premuto sul telecomando ======

get_IR:
	TASTO=REMOCON(1)
	TASTO=TASTO-ID
	RR=0
RETURN

'============= Led ON/OFF ========================
Led_ON_OFF:
	ON LED_state GOTO Led_OFF,Led_ON
RETURN

Led_ON:
	OUT 52,0
	LED_state=0
RETURN

Led_OFF:
	OUT 52,1
	LED_state=1
RETURN

'======== fine Led On e Led OFF ==================

'=====  Azzeramento memoria sequenza mosse =======

azzera_mosse_sequenza:
	PAGMOSSA0=0
	PAGMOSSA1=0
	PAGMOSSA2=0
	PAGMOSSA3=0
	PAGMOSSA4=0
	PAGMOSSA5=0
	PAGMOSSA6=0
	PAGMOSSA7=0
	PAGMOSSA8=0
	PAGMOSSA9=0
	PAGMOSSA10=0
	PAGMOSSA11=0
	PAGMOSSA12=0
	PAGMOSSA13=0
	PAGMOSSA14=0
	MOSSA0 = 0
	MOSSA1 = 0
	MOSSA2 = 0
	MOSSA3 = 0
	MOSSA4 = 0
	MOSSA5 = 0
	MOSSA6 = 0
	MOSSA7 = 0
	MOSSA8 = 0
	MOSSA9 = 0
	MOSSA10 = 0
	MOSSA11 = 0
	MOSSA12 = 0
	MOSSA13 = 0
	MOSSA14 = 0
RETURN

'========== Acquisisci numero servo ==============

acquisisci_n_servo:
	N_SERVO = 0
	FOR G=1 TO 2
		GOSUB leggi_n_cifra
		MUSIC "CDE"
		IF G=1 THEN N_SERVO = CIFRA*10
		IF G=2 THEN N_SERVO = N_SERVO+CIFRA
	NEXT G
	IF N_SERVO<1 AND N_SERVO>24 THEN
		MUSIC "DCE"
		GOTO acquisisci_n_servo
	ENDIF
RETURN

'=============Leggi numero cifra =================
leggi_n_cifra:
	CIFRA = 0
	TASTO = 0
	GOSUB get_IR
	IF TASTO = 0 THEN GOTO leggi_n_cifra
	IF TASTO = 10 THEN TASTO=0
	CIFRA=TASTO
	TASTO=0
RETURN


'=============Leggi mossa ========================
leggi_mossa:
	PAGMOSSA=0
	MOSSA = 0
	TASTO=0
	FOR G=1 TO 2
		IF G=1 THEN
			GOSUB leggi_pag_mossa
			PAGMOSSA=PAGINA_TEMP
			PAGINA_TEMP=0
			TASTO=0
		ENDIF
		IF G=2 THEN
			mossa_sequenza:
			GOSUB get_IR
			IF TASTO=0 THEN GOTO mossa_sequenza
			GOSUB verifica_tasto_fine_sequenza ' verifichiamo se e' stato premuto il tasto di fine acquisizione sequenza
			MOSSA=TASTO
			MUSIC "D" 'emettiamo suono di conferma acquisizione mossa
			TASTO=0
		ENDIF
		NEXT G
RETURN

'=============Leggi pag mossa ====================
leggi_pag_mossa:
	TASTO=0
	GOSUB get_IR
	IF TASTO=0 THEN GOTO leggi_pag_mossa
	GOSUB verifica_tasto_fine_sequenza
	IF TASTO=27 THEN ' stiamo inserendo una pausa 
			PAGINA_TEMP=TASTO
			TASTO=0
			MUSIC "C" 'emettiamo suono di conferma acquisizione 
			GOTO leggi_pag_mossa_end
	ENDIF
	IF TASTO>0 AND TASTO<=MAXPAGINE THEN ' abbiamo inserito una pagina valida
			PAGINA_TEMP=TASTO-1
			TASTO=0
			MUSIC "C" ' emettiamo suono di conferma acquisizione pagina valida
			GOTO leggi_pag_mossa_end
	ENDIF
	GOTO leggi_pag_mossa ' rileggi pagina perche' inserito pagina NON valida
	leggi_pag_mossa_end:
RETURN

'============ verifica tasto fine sequenza =======

verifica_tasto_fine_sequenza:
	IF TASTO=15 THEN				' durante la memorizzazione della sequenza, verifichiamo se e'
		MOSSA=0						' stato premuto il tasto per la sospensione del'inserimento
		TASTO_SEQUENZA_ON_OFF=1
		N_MOSSA=0
		VERIF_MOSSA=1
		MUSIC "FFA"
		GOTO k15_end
	ENDIF
RETURN


'=============== Verifica mosse  =================
' verifica della validita' delle mosse inserite 
' nella sequenza mosse

verifica_mossa:
	IF PAGMOSSA=27 THEN								' significa che e' stata premuto il tasto per inserimento pausa nella seq
		IF MOSSA>0 AND MOSSA<10 THEN GOSUB ok		' se l'intervallo inserito e' tra 1 e 9 secondi allora mossa valida'
		GOTO verifica_mossa_end
	ENDIF
	ON PAGMOSSA GOTO ver_pag_1,ver_pag_2,ver_pag_3,ver_pag_4,ver_pag_5,ver_pag_6
	GOTO verifica_mossa_end
	' l'inserimento di ok= mossa valida  o no=mossa NON valida e' in in funzione della tabella MOSSE/COMANDO
	ver_pag_1:
	   'ON MOSSA GOTO t00,t01,t02,t03,t04,t05,t06,t07,t08,t09,t10,t11,t12,t13,t14,t15,t16,t17,t18,t19,t20,t21,t22,t23,t24,t25,t26,t27,t28,t29,t30,t31,t32
		ON MOSSA GOTO  no, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, no, ok, no, no, ok, ok, ok, no, ok, no, ok, ok, ok, ok, ok, ok, no
		GOTO verifica_mossa_end
	ver_pag_2:
	   'ON MOSSA GOTO t00,t01,t02,t03,t04,t05,t06,t07,t08,t09,t10,t11,t12,t13,t14,t15,t16,t17,t18,t19,t20,t21,t22,t23,t24,t25,t26,t27,t28,t29,t30,t31,t32
		ON MOSSA GOTO  no, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, no, ok, no, no, ok, ok, ok, no, ok, no, ok, ok, ok, ok, ok, ok, no
		GOTO verifica_mossa_end
	ver_pag_3:					' pagina 3 non ci sono mosse valide
		GOSUB no
		GOTO verifica_mossa_end
	ver_pag_4:
	   'ON MOSSA GOTO t00,t01,t02,t03,t04,t05,t06,t07,t08,t09,t10,t11,t12,t13,t14,t15,t16,t17,t18,t19,t20,t21,t22,t23,t24,t25,t26,t27,t28,t29,t30,t31,t32
		ON MOSSA GOTO  no, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, no, ok, no, no, ok, ok, ok, no, ok, no, ok, ok, ok, ok, ok, ok, no
		GOTO verifica_mossa_end
	ver_pag_5:
	   'ON MOSSA GOTO t00,t01,t02,t03,t04,t05,t06,t07,t08,t09,t10,t11,t12,t13,t14,t15,t16,t17,t18,t19,t20,t21,t22,t23,t24,t25,t26,t27,t28,t29,t30,t31,t32
		ON MOSSA GOTO  no, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, no, ok, no, no, ok, ok, ok, no, ok, no, ok, ok, ok, ok, ok, ok, no
		GOTO verifica_mossa_end
	ver_pag_6:
	   'ON MOSSA GOTO t00,t01,t02,t03,t04,t05,t06,t07,t08,t09,t10,t11,t12,t13,t14,t15,t16,t17,t18,t19,t20,t21,t22,t23,t24,t25,t26,t27,t28,t29,t30,t31,t32
		ON MOSSA GOTO  no, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, ok, no, ok, no, no, ok, ok, ok, no, ok, no, ok, ok, ok, ok, ok, ok, no
		GOTO verifica_mossa_end
	verifica_mossa_end:
RETURN

ok:
	VERIF_MOSSA=1
	TEMPO 230
	MUSIC "CDE"
RETURN

no:
	VERIF_MOSSA=0
RETURN
'=========== fine Verifica mosse  ================

'=============== Esegui_sequenza  ================
esegui_sequenza:

	IF N_MOSSA=MAXMOSSE THEN GOTO esegui_sequenza_end		'eseguite tutte le MAXMOSSE mosse si esce dal ciclo
	IF N_MOSSA=0 THEN OLDPAGINA=PAGINA 						' salva il valore di pagina prima esecuzione sequenza per ripristino

	ON N_MOSSA GOTO mos0,mos1,mos2,mos3,mos4,mos5,mos6,mos7,mos8,mos9,mos10,mos11,mos12,mos13,mos14
	mos0:
		PAGINA=PAGMOSSA0
		MOSSA=MOSSA0
		GOTO mos_end
	mos1:
		PAGINA=PAGMOSSA1
		MOSSA=MOSSA1
		GOTO mos_end
	mos2:
		PAGINA=PAGMOSSA2
		MOSSA=MOSSA2
		GOTO mos_end
	mos3:
		PAGINA=PAGMOSSA3
		MOSSA=MOSSA3
		GOTO mos_end
	mos4:
		PAGINA=PAGMOSSA4
		MOSSA=MOSSA4
		GOTO mos_end
	mos5:
		PAGINA=PAGMOSSA5
		MOSSA=MOSSA5
		GOTO mos_end
	mos6:
		PAGINA=PAGMOSSA6
		MOSSA=MOSSA6
		GOTO mos_end
	mos7:
		PAGINA=PAGMOSSA7
		MOSSA=MOSSA7
		GOTO mos_end
	mos8:
		PAGINA=PAGMOSSA8
		MOSSA=MOSSA8
		GOTO mos_end
	mos9:
		PAGINA=PAGMOSSA9
		MOSSA=MOSSA9
		GOTO mos_end
	mos10:
		PAGINA=PAGMOSSA10
		MOSSA=MOSSA10
		GOTO mos_end
	mos11:
		PAGINA=PAGMOSSA11
		MOSSA=MOSSA11
		GOTO mos_end
	mos12:
		PAGINA=PAGMOSSA12
		MOSSA=MOSSA12
		GOTO mos_end
	mos13:
		PAGINA=PAGMOSSA13
		MOSSA=MOSSA13
		GOTO mos_end
	mos14:
		PAGINA=PAGMOSSA14
		MOSSA=MOSSA14
		GOTO mos_end
	mos_end:
	N_MOSSA=N_MOSSA+1 			' aumento contatore mossa in esecuzione

	IF PAGINA =27 THEN			' PAGINA=27 significa una PAUSA inserita nella sequenza
		PAUSA = MOSSA*1000
		DELAY PAUSA				' e' eseguita la PAUSA come una mossa
		GOTO esegui_sequenza	' passa alla successiva
	ENDIF
	ON MOSSA GOTO no_mossa,K1,K2,K3,K4,K5,K6,K7,K8,K9,K10,K11,K12,K13,K14,K15,K16,K17,K18,K19,K20,K21,K22,K23,K24,K25,K26,K27,K28,K29,K30,K31,K32
	GOTO esegui_sequenza
	no_mossa:					' nel caso la sequenza contenga una mossa vuota - definita dal valore MOSSA=0 - si passa alla mossa sequente
	GOTO esegui_sequenza

	esegui_sequenza_end:
	PAGINA=OLDPAGINA 			' ripristina il valore PAGINA a prima dell'esecuzione della sequenza
	SEQUENZA_ATTIVA=0			' la sequenza mosse ha avuto termine
RETURN

'========== fine Esegui_sequenza  ================

'============= Accovacciato movimento ============

accovacciato_movimento:
	IF DIR_MOV_ACCOVACCIATO=0 AND ACCOVACCIATO<>0 THEN ACCOVACCIATO=ACCOVACCIATO-1
	IF DIR_MOV_ACCOVACCIATO=1 AND ACCOVACCIATO<>14 THEN ACCOVACCIATO=ACCOVACCIATO+1
	SPEED 3
	ON ACCOVACCIATO GOTO acc14,acc13,acc12,acc11,acc10,acc09,acc08,acc07,acc06,acc05,acc04,acc03,acc02,acc01,acc00
RETURN

'== Funzioni movimento accovacciato acc14-acc00 ==

acc14:
'MOVE G24,100,151,19,140,101,100,,,,,,,,,,,,,100,151,23,140,101,100
MOVE G6A,100,151,19,140,101,100
MOVE G6D,100,151,23,140,101,100
RETURN

acc13:
'MOVE G24,100,146,31,137,101,100,,,,,,,,,,,,,100,146,31,137,101,100
MOVE G6A,100,146,31,137,101,100
MOVE G6D,100,146,31,137,101,100
RETURN

acc12:
MOVE G6A,100,140,41,133,101,100
MOVE G6D,100,140,41,133,101,100
RETURN

acc11:

MOVE G6A,100,135,49,130,101,100
MOVE G6D,100,135,49,130,101,100
RETURN

acc10:
MOVE G6A,100,129,59,126,101,100
MOVE G6D,100,129,59,126,101,100
RETURN

acc09:
MOVE G6A,100,124,67,123,101,100
MOVE G6D,100,124,67,123,101,100
RETURN

acc08:
MOVE G6A,100,119,75,120,101,100
MOVE G6D,100,119,75,120,101,100
RETURN

acc07:
MOVE G6A,100,113,85,116,101,100
MOVE G6D,100,113,85,116,101,100
RETURN

acc06:
MOVE G6A,100,108,93,113,100,100
MOVE G6D,100,108,93,113,100,100
RETURN

acc05:
MOVE G6A,100,102,103,109,100,100
MOVE G6D,100,102,103,109,100,100
RETURN

acc04:
MOVE G6A,100,97,111,106,100,100
MOVE G6D,100,97,111,106,100,100
RETURN

acc03:
MOVE G6A,100,91,121,102,100,100
MOVE G6D,100,91,121,102,100,100
RETURN


acc02:
MOVE G6A,100,86,129,99,100,100
MOVE G6D,100,86,129,99,100,100
RETURN

acc01:
MOVE G6A,100,80,137,96,100,100
MOVE G6D,100,80,137,96,100,100
RETURN

acc00:
MOVE G6A,100,75,145,93,100,100
MOVE G6D,100,75,145,93,100,100
RETURN

'======== fine Accovacciato movimento ============

'========== FUNZIONI K1-K32 TELECOMANDO ==========

k1:
	ON PAGINA GOTO P1_inchino,P2_break_dance,P3_apri_graduale_mano_sx,P4_stretching,P5_alza_abbassa_braccio_sx,P6_dimostrazione_dance
	P1_inchino:
		GOSUB bow_pose
		ON SEDUTO_ERETTO GOTO sit_down_pose,standard_pose
	GOTO k1_end
	P2_break_dance:
		GOSUB break_dance
	GOTO k1_end
	alzobraccia:
		GOSUB hands_up
		DELAY 500
		GOSUB standard_pose
	GOTO k1_end
	P3_apri_graduale_mano_sx:
		GRADI=MOTORIN(N_SERVO_MANO_SX)
		WAIT
		IF GRADI<=100 THEN GOTO k1_end
		GRADI=GRADI-5
		SERVO N_SERVO_MANO_SX,GRADI
		WAIT
		MANO_SX_STATO=1
	GOTO k3_end
	P4_stretching:
		GOSUB stretching
	GOTO k2_end
	P5_alza_abbassa_braccio_sx:
		GOSUB left_arm_up_front_down
	GOTO k2_end
	P6_dimostrazione_dance:
		GOSUB dimo_dance
	GOTO k1_end
	k1_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit

k2:
	ON PAGINA GOTO P1_alza_abbassa_braccia,P2_P6_dimostrazione_haka,P3_action,P4_aperture_laterali_braccia,P5_spinta_fronte,P2_P6_dimostrazione_haka
	P1_alza_abbassa_braccia:
		GOSUB right_arm_up_front_down
		GOSUB left_arm_up_front_down
	GOTO k2_end
	seduto:
		GOSUB sit_down_pose
		DELAY 1000
		GOSUB standard_pose
	GOTO k2_end
	P2_P6_dimostrazione_haka:
		GOSUB dimo_haka
	GOTO k2_end
	P3_action:
	GOTO k2_end
	P4_aperture_laterali_braccia:
		GOSUB arms
	GOTO k2_end
	P5_spinta_fronte:
		GOSUB front_push
		DELAY 1000
		GOSUB standard_pose
	GOTO k2_end
	k2_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit


k3:
	ON PAGINA GOTO P1_ciao,P2_macarena,P3_apri_graduale_mano_dx,P4_addominali,P5_alza_abbassa_braccio_dx,P6_dimostrazione_matrix
	'seduto:
	'GOSUB sit_down_pose
	'DELAY 1000
	'GOSUB standard_pose
	'GOTO k3_end
	P1_ciao:
		GOSUB ciao	
	GOTO k3_end
	P2_macarena:
		GOTO macarena
	GOTO k3_end
	P3_apri_graduale_mano_dx:
		GRADI=MOTORIN(N_SERVO_MANO_DX)
		WAIT
		IF GRADI<=100 THEN GOTO k3_end
		GRADI=GRADI-5
		SERVO N_SERVO_MANO_DX,GRADI
		WAIT
		MANO_DX_STATO=1
	GOTO k3_end
	P4_addominali:
		GOSUB abdominals
	GOTO k3_end
	P5_alza_abbassa_braccio_dx:
		GOSUB right_arm_up_front_down
	GOTO k3_end
	P6_dimostrazione_matrix:
		GOSUB dimo_matrix
	GOTO k3_end
	k3_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit

k4:
	ON PAGINA GOTO P1_P3_apri_chiudi_mano_SX,P2_balletto,P1_P3_apri_chiudi_mano_SX,P4_flessioni_braccio_sx,P5_attacco_laterale_sx,P6_dimostrazione_arti_marziali
	P1_P3_apri_chiudi_mano_SX:
		SPEED 5
		GOSUB left_hand_open_close
	GOTO k4_end
	P2_balletto:
		GOTO balletto
	GOTO k4_end
	P4_flessioni_braccio_sx:
		GOSUB push_up_sx
	GOTO k4_end
	P5_attacco_laterale_sx:
		IF SEDUTO_ERETTO=1 THEN 
			SPEED 8
			GOSUB left_attack
			GOSUB standard_pose
			GOTO k4_end
		ENDIF
		SPEED 8
		GOSUB sit_left_attack
		GOSUB sit_down_pose
	GOTO k4_end
	P6_dimostrazione_arti_marziali:
		GOSUB dimo_arti_marziali
	GOTO k4_end
	k4_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit

k5:
	ON PAGINA GOTO P1_alza_piede,P2_body_move,P3_action,P4_flessioni_due_braccia,P5_pugni_frontali,P6_dimostrazione_sport
	P1_alza_piede:
		GOSUB foot_up_sx
		GOSUB standard_pose
		DELAY 1000
		GOSUB foot_up_dx
		GOSUB standard_pose
		ON SEDUTO_ERETTO GOTO sit_down_pose,standard_pose
	GOTO k5_end
	P2_body_move:
		GOSUB body_move
		GOSUB standard_pose
	GOTO k5_end
'	P3_action:
'	GOTO k5_end
	P4_flessioni_due_braccia:
		GOSUB push_up
	GOTO k5_end
	P5_pugni_frontali:
		IF SEDUTO_ERETTO=1 THEN 
			SPEED 8
			GOSUB forward_punch
			GOSUB standard_pose
			GOTO k5_end
		ENDIF
		SPEED 8
		GOSUB sit_forward_punch
		GOSUB sit_down_pose
	GOTO k5_end
	P6_dimostrazione_sport:
		GOSUB dimo_sport
	GOTO k5_end
	k5_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit


k6:
	ON PAGINA GOTO P1_P3_mano_DX_aperta_chiusa,P2_action,P1_P3_mano_DX_aperta_chiusa,P4_flessioni_braccio_dx,P5_attacco_laterale_dx,P6_action
		P1_P3_mano_DX_aperta_chiusa:
		SPEED 5
		GOSUB right_hand_open_close
	GOTO k6_end
	P2_action:
	GOTO k6_end
	P4_flessioni_braccio_dx:
		GOSUB push_up_dx
	GOTO k6_end
	P5_attacco_laterale_dx:
		IF SEDUTO_ERETTO=1 THEN 
			SPEED 8
			GOSUB right_attack
			GOSUB standard_pose
			GOTO k6_end
		ENDIF
		SPEED 8
		GOSUB sit_right_attack
		GOSUB sit_down_pose
	GOTO k4_end
	P6_action:
	GOTO k6_end
	k6_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit


k7:
	ON PAGINA GOTO P1_equilibrio,P2_action,P3_chiudi_graduale_mano_sx,P4_calcio_sx,P5_attacco_frontale_pugno_sx,P6_action
	P1_equilibrio:
		GOSUB wing_move_dx
		GOSUB standard_pose
		DELAY 1000
		GOSUB wing_move_sx
		GOSUB standard_pose
		ON SEDUTO_ERETTO GOTO sit_down_pose,standard_pose
	GOTO k7_end
'	P2_action:
'	GOTO k7_end
	P3_chiudi_graduale_mano_sx:
		GRADI=MOTORIN(N_SERVO_MANO_SX)
		WAIT
		IF GRADI>=150 THEN GOTO k7_end
		GRADI=GRADI+5
		SERVO N_SERVO_MANO_SX,GRADI
		WAIT
	GOTO k7_end
	P4_calcio_sx:
		GOSUB standard_pose
		GOSUB left_shoot
		GOSUB standard_pose
		IF SEDUTO_ERETTO=0 THEN GOSUB sit_down_pose
	GOTO k7_end
	P5_attacco_frontale_pugno_sx:
		IF SEDUTO_ERETTO=1 THEN 
			SPEED 8
			GOSUB left_forward_punch
			GOSUB standard_pose
			GOTO k7_end
		ENDIF
		SPEED 8
		GOSUB sit_left_forward_punch
		GOSUB sit_down_pose
	GOTO k7_end
'	P6_action:
'	GOTO k7_end
	k7_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit

k8:
	ON PAGINA GOTO P1_pugni_frontali,P2_action,P3_action,P4_piegamenti_gambe,P5_spinta_retro,P6_action
	P1_pugni_frontali:
	  	IF SEDUTO_ERETTO=1 THEN 
			SPEED 8
			GOSUB forward_punch
			GOSUB standard_pose
			GOTO k5_end
		ENDIF
		SPEED 8
		GOSUB sit_forward_punch
		GOSUB sit_down_pose
	GOTO k8_end
'	P2_action:
'	GOTO k8_end
'	P3_action:
'	GOTO k8_end
	P4_piegamenti_gambe:
		GOSUB legs
	GOTO k8_end
	P5_spinta_retro:
		GOSUB rear_push
		DELAY 1000
		GOSUB standard_pose
	GOTO k8_end
'	P6_action:
'	GOTO k8_end
	k8_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit

k9:
	ON PAGINA GOTO P1_verticale,P2_action,P3_chiudi_graduale_mano_dx,P4_calcio_dx,P5_attacco_frontale_pugno_dx,P6_action
	P1_verticale:
		SPEED 8
		GOSUB handstanding
		DELAY 1000
		SPEED 6
		ON SEDUTO_ERETTO GOTO sit_down_pose,standard_pose
	GOTO k9_end
	'P2_action:
'	GOTO k9_end
	P3_chiudi_graduale_mano_dx:
		GRADI=MOTORIN(N_SERVO_MANO_DX)
		WAIT
		IF GRADI>=150 THEN GOTO k9_end
		GRADI=GRADI+5
		SERVO N_SERVO_MANO_DX,GRADI
		WAIT
	GOTO k9_end
	P4_calcio_dx:
		GOSUB standard_pose
		GOSUB right_shoot
		GOSUB standard_pose
		IF SEDUTO_ERETTO=0 THEN GOSUB sit_down_pose
	GOTO k7_end
	P5_attacco_frontale_pugno_dx:
		IF SEDUTO_ERETTO=1 THEN 
			SPEED 8
			GOSUB right_forward_punch
			GOSUB standard_pose
			GOTO k9_end
		ENDIF
		SPEED 8
		GOSUB sit_right_forward_punch
	GOTO k9_end
'	P6_action:
'	GOTO k9_end
	k9_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit


k10:
	ON PAGINA GOTO P1_P5_cammina_veloce,P2_action,P3_action,P4_verticale,P1_P5_cammina_veloce,P6_action
	P1_P5_cammina_veloce:
		ON SEDUTO_ERETTO GOTO sit_forward_walking,fast_walk
	GOTO k10_end
	'P2_action:
'	GOTO k10_end
'	P3_action:
'	GOTO k10_end
	P4_verticale:
		GOSUB handstanding
	GOTO k10_end
'	P6_action:
'	GOTO k10_end
	k10_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit

k11:
	ON PAGINA GOTO P1_P4_P5_cammina_avanti,P2_action,P3_servo_posizione_piu,P1_P4_P5_cammina_avanti,P1_P4_P5_cammina_avanti,P6_action
	P1_P4_P5_cammina_avanti:
		GOSUB verifica_ostacolo
		IF START_STOP=1 THEN
			MUSIC "ABC"
			GOTO k11_end
		ENDIF
		DELAY 200
		GOSUB get_IR
		IF TASTO=11 THEN 
			OLD_TASTO=0
			GOSUB mov_continuo
			GOTO k11_end
		ENDIF
		IF SEDUTO_ERETTO=1 THEN 
			GOSUB forward_walk
			GOSUB standard_pose
			GOTO k11_end
		ENDIF
		SPEED 5
		GOSUB sit_forward_walking
	GOTO k11_end
	P3_servo_posizione_piu:
		IF FUNZ_MUOVI_SERVO=1 THEN
			GRADI=MOTORIN(N_SERVO)
			WAIT
			GRADI=GRADI+1
			SERVO N_SERVO,GRADI
			WAIT
		ENDIF
	GOTO k11_end
'	P6_action:
'	GOTO k11_end
	k11_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit


k12:
	ON PAGINA GOTO P1_P4_P5_cammina_indietro,P2_action,P3_posizione_servo_meno,P1_P4_P5_cammina_indietro,P1_P4_P5_cammina_indietro,P6_action
	P1_P4_P5_cammina_indietro:
		DELAY 300
		GOSUB get_IR
		IF TASTO=12 THEN 
			OLD_TASTO=0
			GOSUB mov_continuo
			GOTO k12_end
		ENDIF
		IF SEDUTO_ERETTO=1 THEN 
			GOSUB backward_walk
			GOSUB standard_pose
			GOTO k12_end
		ENDIF
		SPEED 5
		GOSUB sit_backward_walking
	GOTO k12_end
	P3_posizione_servo_meno:
		IF FUNZ_MUOVI_SERVO=1 THEN
			GRADI=MOTORIN(N_SERVO)
			WAIT
			GRADI=GRADI-1
			SERVO N_SERVO,GRADI
			WAIT
		ENDIF
	GOTO k12_end
'	P6_action:
'	GOTO k12_end
	k12_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit

k13:
	ON PAGINA GOTO P1_P4_P5_spostamento_dx,P2_action,P3_action,P1_P4_P5_spostamento_dx,P1_P4_P5_spostamento_dx,P6_action
	P1_P4_P5_spostamento_dx:
		DELAY 200
		GOSUB get_IR
		IF TASTO=13 THEN 
			GOSUB mov_continuo_lat
			GOTO k13_end
		ENDIF
		IF SEDUTO_ERETTO=1 THEN
		 	SPEED 8
			GOSUB right_shift
			SPEED 6
			GOSUB standard_pose
			GOTO k13_end
		ENDIF
		SPEED 5
		GOSUB sit_right_shift
	GOTO k13_end
	'P2_action:
'	GOTO k13_end
'	P3_action:
'	GOTO k13_end
'	P6_action:
'	GOTO k13_end
	k13_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit

k14:
	ON PAGINA GOTO P1_P4_P5_spostamento_sx,P2_action,P3_action,P1_P4_P5_spostamento_sx,P1_P4_P5_spostamento_sx,P6_action
	P1_P4_P5_spostamento_sx:
		DELAY 200
		GOSUB get_IR
		IF TASTO=14 THEN 
			GOSUB mov_continuo_lat
			GOTO k14_end
		ENDIF
		IF SEDUTO_ERETTO=1 THEN
			SPEED 8
			GOSUB left_shift
			SPEED 6
			GOSUB standard_pose
			GOTO k14_end
		ENDIF
		SPEED 5
		GOSUB sit_left_shift
	GOTO k14_end
	'P2_action:
'	GOTO k14_end
'	P3_action:
'	GOTO k14_end
'	P6_action:
'	GOTO k14_end
	k14_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit

k15:
	ON PAGINA GOTO P1_a_terra_frontalmente,P2_action,P3_att_acq_seq,P4_calcio_laterale_sx,P5_calcio_laterale_sx,P6_action
	P1_a_terra_frontalmente:
		GOSUB front_lie_down
	GOTO k15_end
	'P2_action:
'	GOTO k15_end
	P3_att_acq_seq:
	SEQUENZA_ESISTENTE=1			' andremo a memorizzare una sequenza; dichiariamo che la sequenza quindi esiste
	IF N_MOSSA=0 THEN				' all'inizio della memorizzazione della sequenza,
		MUSIC "EDE"					' emettiamo suono
		FOR G=1 TO 3				' e facciamo lampeggiare il LED
			GOSUB led_OFF
			WAIT
			GOSUB led_ON
			WAIT
		NEXT G
		GOSUB azzera_mosse_sequenza	' liberiamo l'array di memorizzazione sequenza
	ENDIF
	IF N_MOSSA=MAXMOSSE THEN
		N_MOSSA=0  					' azzera contatore N_MOSSA per prossima eventuale acquisizione sequenza
		GOTO k15_end
	ENDIF
	VERIF_MOSSA=0
	ri_leggi_mossa:
	GOSUB leggi_mossa
	GOSUB verifica_mossa			' verifichiamo se la mossa inserita e' valida
	IF TASTO_SEQUENZA_ON_OFF=1 THEN ' significa che abbiamo premuto tasto fine sequenza;
		TASTO_SEQUENZA_ON_OFF=0		' resettiamo la variabile
		GOTO k15_end				' usciamo dalla funzione
	ENDIF
	IF VERIF_MOSSA = 0 THEN GOTO ri_leggi_mossa		' mossa non valida, ritorniamo a leggerla da capo cioe' pag_mossa + mossa

	MUSIC "DE"						' mossa valida emettiamo suono
	ON N_MOSSA GOTO m0,m1,m2,m3,m4,m5,m6,m7,m8,m9,m10,m11,m12,m13,m14		' memorizziamo  la mossa

	m0: PAGMOSSA0=PAGMOSSA
		MOSSA0=MOSSA
		GOTO P3_att_acq_seq_end
	m1: PAGMOSSA1=PAGMOSSA
		MOSSA1=MOSSA
		GOTO P3_att_acq_seq_end
	m2: PAGMOSSA2=PAGMOSSA
		MOSSA2=MOSSA
		GOTO P3_att_acq_seq_end
	m3: PAGMOSSA3=PAGMOSSA
		MOSSA3=MOSSA
		GOTO P3_att_acq_seq_end
	m4: PAGMOSSA4=PAGMOSSA
		MOSSA4=MOSSA
		GOTO P3_att_acq_seq_end
	m5: PAGMOSSA5=PAGMOSSA
		MOSSA5=MOSSA
		GOTO P3_att_acq_seq_end
	m6: PAGMOSSA6=PAGMOSSA
		MOSSA6=MOSSA
		GOTO P3_att_acq_seq_end
	m7: PAGMOSSA7=PAGMOSSA
		MOSSA7=MOSSA
		GOTO P3_att_acq_seq_end
	m8: PAGMOSSA8=PAGMOSSA
		MOSSA8=MOSSA
		GOTO P3_att_acq_seq_end
	m9: PAGMOSSA9=PAGMOSSA
		MOSSA9=MOSSA
		GOTO P3_att_acq_seq_end
	m10:PAGMOSSA10=PAGMOSSA
		MOSSA10=MOSSA
		GOTO P3_att_acq_seq_end
	m11:PAGMOSSA11=PAGMOSSA
		MOSSA11=MOSSA
		GOTO P3_att_acq_seq_end
	m12:PAGMOSSA12=PAGMOSSA
		MOSSA12=MOSSA
		GOTO P3_att_acq_seq_end
	m13:PAGMOSSA13=PAGMOSSA
		MOSSA13=MOSSA
		GOTO P3_att_acq_seq_end
	m14:PAGMOSSA14=PAGMOSSA
		MOSSA14=MOSSA
		GOTO P3_att_acq_seq_end
	P3_att_acq_seq_end:
	N_MOSSA=N_MOSSA+1					' aumentiamo il contatore per la memorizzazione successiva mossa
	GOTO P3_att_acq_seq
	GOTO k15_end
	P4_calcio_laterale_sx:
		SPEED 10
		GOSUB left_kick
		DELAY 500
		GOSUB standard_pose
	GOTO k15_end
	P5_calcio_laterale_sx:
		SPEED 10
		GOSUB standard_pose
		GOSUB left_kick
		DELAY 500
		GOSUB standard_pose
		IF SEDUTO_ERETTO =0 THEN GOSUB sit_down_pose
	GOTO k15_end
'	P6_action:
'	GOTO k15_end
	k15_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit

k16:
	GOSUB sit_down_pose16
	GOTO k16_end
	k16_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit

k17:
	ON PAGINA GOTO P1_piegamento_a_sx,P2_action,P3_action,P4_equilibrio_sx,P5_action,P6_action
	P1_piegamento_a_sx:
		GOSUB piegamento_a_sx
		ON SEDUTO_ERETTO GOTO sit_down_pose,standard_pose
	GOTO k17_end
	'P2_action:
'	GOTO k17_end
'	P3_action:
'	GOTO k17_end
	P4_equilibrio_sx:
		GOSUB wing_move_sx
		GOSUB standard_pose
	GOTO k17_end
	P5_action:
	GOTO k17_end
'	P6_action:
'	GOTO k17_end
	k17_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit

k18:
	rialzo_forward:
		GOSUB standard_pose
		GOSUB forward_standup
		'GOSUB standard_pose
		ON SEDUTO_ERETTO GOTO sit_down_pose,standard_pose
	GOTO k18_end
	k18_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit
	
k19:
	verifica_pagina_comandi_attuale:
		FOR CICLO= 0 TO PAGINA
			GOSUB led_OFF
			WAIT
			TEMPO 230
			MUSIC "D"
			GOSUB led_ON
			WAIT
		NEXT CICLO
	GOTO k19_end
	k19_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit


k20:
	ON PAGINA GOTO P1_a_terra_di_schiena,P2_action,P3_action,P4_calcio_laterale_dx,P5_calcio_laterale_dx,P6_action
	P1_a_terra_di_schiena:
		GOSUB back_lie_down
	GOTO k20_end
	'P2_action:
'	GOTO k20_end
'	P3_action:
'	GOTO k20_end
	P4_calcio_laterale_dx:
		SPEED 10
		GOSUB standard_pose
		GOSUB right_kick
		DELAY 500
	GOTO k20_end
	P5_calcio_laterale_dx:
		SPEED 10
		GOSUB standard_pose
		GOSUB right_kick
		DELAY 500
		GOSUB standard_pose
		IF SEDUTO_ERETTO =0 THEN GOSUB sit_down_pose
	GOTO k20_end
'	P6_action:
'	GOTO k20_end
	k20_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit

k21:
	ON PAGINA GOTO P1_P4_capriola_avanti,P2_action,P3_accovacciato_su,P1_P4_capriola_avanti,P5_balzo_fronte,P6_action
	P1_P4_capriola_avanti:
		GOSUB forward_tumbling
		SPEED 10
		ON SEDUTO_ERETTO GOTO sit_down_pose,standard_pose
	GOTO k21_end
	'P2_action:
'	GOTO k21_end
	P3_accovacciato_su:
		DIR_MOV_ACCOVACCIATO=1 'movimento su
		GOSUB accovacciato_movimento
	GOTO k21_end
	GOTO k21_end
	P5_balzo_fronte:
		GOSUB front_jump_push
		DELAY 1000
		GOSUB standard_pose
	GOTO k21_end
'	P6_action:
'	GOTO k21_end
	k21_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit

k22:
	ON PAGINA GOTO P1_P4_P5_rotazione_sx,P2_action,P3_muovi_singolo_servo_off,P1_P4_P5_rotazione_sx,P1_P4_P5_rotazione_sx,P6_action
	P1_P4_P5_rotazione_sx:
		DELAY 200
		GOSUB get_IR
		IF TASTO=22 THEN 
			GOSUB mov_continuo_rot
			GOTO k22_end
		ENDIF
		IF SEDUTO_ERETTO=1 THEN
			GOSUB left_turn
			GOSUB standard_pose
			GOTO k22_end
		ENDIF
		SPEED 5
		GOSUB sit_left_turn
	GOTO k22_end
'	P2_action:
'	GOTO k22_end
	P3_muovi_singolo_servo_off:
		FUNZ_MUOVI_SERVO=0
	GOTO k22_end
'	P6_action:
'	GOTO k22_end
	k22_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit
	
k23:
	rialzo_backward:
		GOSUB standard_pose
		GOSUB backward_standup
		'GOSUB standard_pose
		ON SEDUTO_ERETTO GOTO sit_down_pose,standard_pose
	GOTO k23_end
	k23_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit
	

k24:
	ON PAGINA GOTO P1_P4_P5_rotazione_dx_continuo,P2_action,P3_seleziona_n_servo,P1_P4_P5_rotazione_dx_continuo,P1_P4_P5_rotazione_dx_continuo,P6_action
	P1_P4_P5_rotazione_dx_continuo:
		DELAY 300
		GOSUB get_IR
		IF TASTO=24 THEN 
			GOSUB mov_continuo_rot
			GOTO k22_end
		ENDIF
		IF SEDUTO_ERETTO=1 THEN
			GOSUB right_turn
			GOSUB standard_pose
			GOTO k24_end
		ENDIF
		SPEED 5
		GOSUB sit_right_turn
	GOTO k24_end
'	P2_action:
'	GOTO k24_end
	P3_seleziona_n_servo:
		FUNZ_MUOVI_SERVO=1
		TASTO=0
		GOSUB acquisisci_n_servo
	GOTO k24_end
'	P6_action:
'	GOTO k24_end
	k24_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit

k25:
	selezione_pagina_comandi:
		TASTO=0
		MUSIC "AAA"
		GOSUB get_IR
		IF TASTO=0 THEN GOTO selezione_pagina_comandi
		IF TASTO>0 AND TASTO<=MAXPAGINE THEN
			PAGINA=TASTO-1
			TASTO=0
			MUSIC "C"
			GOTO k25_end
		ENDIF
		TEMPO 230
		MUSIC "DE"
	GOTO selezione_pagina_comandi
	k25_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit
	
k26:
	ON PAGINA GOTO P1_P4_P5_seduto_eretto,P2_action,P3_return_standard_pose,P1_P4_P5_seduto_eretto,P1_P4_P5_seduto_eretto,P6_action
	P1_P4_P5_seduto_eretto:
		GOSUB standard_sit_pose
	GOTO k26_end
'	P2_action:
'	GOTO k26_end
	P3_return_standard_pose:
		GOSUB standard_pose
		SEDUTO_ERETTO=1
	GOTO k26_end
'	P6_action:
'	GOTO k26_end
	k26_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit

k27:
	ON PAGINA GOTO P1_piegamento_a_dx,P2_action,P3_action,P4_equilibrio_dx,P5_action,P6_action
	P1_piegamento_a_dx:
		GOSUB piegamento_a_dx
	GOTO k27_end
'	P2_action:
'	GOTO k27_end
'	P3_action:
'	GOTO k27_end
	P4_equilibrio_dx:
		GOSUB wing_move_dx
		GOSUB standard_pose
	GOTO k17_end
'	P5_action:
'	GOTO k27_end
'	P6_action:
'	GOTO k27_end
	k27_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit

k28:
	ON PAGINA GOTO P1_P4_ruota_sx,P2_action,P3_action,P1_P4_ruota_sx,P5_spallata_sx,P6_action
	P1_P4_ruota_sx:
		'GOSUB standard_pose
		GOSUB left_tumbling
		SPEED 10
		GOSUB standard_pose
		ON SEDUTO_ERETTO GOTO sit_down_pose,standard_pose
	GOTO k28_end
'	P2_action:
'	GOTO k28_end
'	P3_action:
'	GOTO k28_end
	P5_spallata_sx:
		GOSUB shoulder_push_sx
		IF SEDUTO_ERETTO=1 THEN GOSUB standard_pose
	GOTO k28_end
'	P6_action:
'	GOTO k28_end
	k28_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit

k29:
	ON PAGINA GOTO P1_P4_spaccata,P2_action,P3_sit_down,P1_P4_spaccata,P5_action,P6_action
	P1_P4_spaccata:
		GOSUB splits
		ON SEDUTO_ERETTO GOTO sit_down_pose,standard_pose
	GOTO k29_end
	pugno_frontale:
		GOSUB forward_punch
		SPEED 10
		GOSUB standard_pose
	GOTO k29_end
'	P2_action:
'	GOTO k29_end
	P3_sit_down:
		GOSUB sit_down_pose
	GOTO k29_end
'	P5_action:
'	GOTO k29_end
'	P6_action:
'	GOTO k29_end
	k29_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit

k30:
	ON PAGINA GOTO P1_P4_ruota_dx,P2_action,P3_action,P1_P4_ruota_dx,P5_spallata_dx,P6_action
	P1_P4_ruota_dx:
		'GOSUB standard_pose
		GOSUB righ_tumbling
		SPEED 10
		GOSUB standard_pose
		ON SEDUTO_ERETTO GOTO sit_down_pose,standard_pose
	GOTO k30_end
'	P2_action:
'	GOTO k30_end
'	P3_action:
'	GOTO k30_end
	P5_spallata_dx:
		GOSUB shoulder_push_dx
		IF SEDUTO_ERETTO=1 THEN GOSUB standard_pose
	GOTO k30_end
'	P6_action:
'	GOTO k30_end
	k30_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit

k31:
	ON PAGINA GOTO P1_P4_capriola_indietro,P2_action,P3_accovacciato_giu,P1_P4_capriola_indietro,P5_action,P6_action
	P1_P4_capriola_indietro:
		GOSUB back_tumbling
		SPEED 10
		ON SEDUTO_ERETTO GOTO sit_down_pose,standard_pose
	GOTO k31_end
'	P2_action:
'	GOTO k31_end
	P3_accovacciato_giu:
		DIR_MOV_ACCOVACCIATO= 0 'movimento giu
		GOSUB accovacciato_movimento
	GOTO k31_end
	P5_balzo_retro:
		GOSUB rear_jump_push
		DELAY 1000
		GOSUB standard_pose
	GOTO k31_end
'	P6_action:
'	GOTO k31_end
	k31_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit

k32:
	ON PAGINA GOTO P12456_Led_ON_OFF,P12456_Led_ON_OFF,P3_esegui_seq_memo,P12456_Led_ON_OFF,P12456_Led_ON_OFF,P12456_Led_ON_OFF
	P12456_Led_ON_OFF:
		GOSUB Led_ON_OFF
	GOTO k32_end
'	P2_action:
'	GOTO k32_end

	P3_esegui_seq_memo:
	IF SEQUENZA_ESISTENTE=0 THEN GOTO k32_end	' se non ci sono sequenze memorizzate usciamo dalla funzione
	SEQUENZA_ATTIVA=1							' dichiariamo in esecuzione la sequenza memorizzata
	GOSUB esegui_sequenza
	GOTO k32_end
	P4_action:
	GOTO k32_end
'	P5_action:
'	GOTO k32_end
'	P6_action:
'	GOTO k32_end
	k32_end:
	IF SEQUENZA_ATTIVA=1 THEN GOTO esegui_sequenza
	GOTO main_exit



'======== FINE FUNZIONI K1-K32 TELECOMANDO =======


'======== gestione tasto 16 ON- OFF Robozak ======

sit_down_pose16:
	IF TASTO16_POWER = 0 THEN GOTO standard_pose16
	TASTO16_POWER = 0
	GOSUB sit_down_pose
	MOTOROFF G24
	TEMPO 230
	MUSIC "FEDC"
RETURN

standard_pose16:

	TEMPO 230
	MUSIC "CDE"
	GETMOTORSET G6A,1,1,1,1,1,0
	GETMOTORSET G6B,1,1,1,0,0,0
	GETMOTORSET G6C,1,1,1,0,0,0
	GETMOTORSET G6D,1,1,1,1,1,0
	MOTOR G24
	TASTO16_POWER = 1
	SEDUTO_ERETTO= 1
	SPEED 10
	GOSUB standard_pose
RETURN

'=== fine gestione tasto 16 ON- OFF Robozak ======

'================== inchino ======================
bow_pose:
	MOVE G6A, 100,  58, 135, 160, 100, 100
	MOVE G6D, 100,  58, 135, 160, 100, 100
	MOVE G6B, 100,  30,  80,  ,  ,150
	MOVE G6C, 100,  30,  80,  ,  ,150
	WAIT
	DELAY 1000
RETURN

'=============== fine inchino ====================

'=============== posizione standard ==============
standard_pose:
	MOVE G6A, 100,  76, 145,  93, 100, 100
	MOVE G6D, 100,  76, 145,  93, 100, 100
	MOVE G6B, 100,  30,  80, 100, 100, 150
	MOVE G6C, 100,  30,  80, 100, 100, 150
	WAIT
RETURN
'========== fine posizione standard ==============

'======== posizione di meditazione ===============
hands_up:
	SPEED 5
	MOVE G6B, 100, 168, 150
	MOVE G6C, 100, 168, 150
	WAIT
RETURN
'========== fine posizione meditazione ===========

'======== posizione seduta =======================
sit_down_pose:
	SPEED 10
	MOVE G6A, 100, 151,  23, 140, 101, 100
	MOVE G6D, 100, 151,  23, 140, 101, 100
	MOVE G6B, 100,  30,  80
	MOVE G6C, 100,  30,  80
	WAIT
RETURN
'========== fine posizione meditazione ===========

'============ braccia alzate =====================
sit_hands_up:
	SPEED 10
	MOVE G6A, 100, 151,  23, 140, 101, 100,
	MOVE G6D, 100, 151,  23, 140, 101, 100
	MOVE G6B, 100, 168, 150
	MOVE G6C, 100, 168, 150
	WAIT
RETURN
'======= fine braccia alzate =====================

'============ alza piede sx ======================
foot_up_sx:
	SPEED 5
	MOVE G6A,  85,  71, 152,  91, 112,  60
	MOVE G6D, 112,  76, 145,  93,  92,  60
	MOVE G6B, 100,  40,  80
	MOVE G6C, 100,  40,  80
	WAIT
	MOVE G6A,  90,  98, 105, 115, 115,  60,
	MOVE G6D, 116,  74, 145,  98,  93,  60,
	MOVE G6B, 100,  95, 100
	MOVE G6C, 100, 105, 100
	WAIT
	MOVE G6A, 100, 151,  23, 140, 115, 100,
	WAIT
	DELAY 1000
	MOVE G6A,  85,  71, 152,  91, 112,  60,
	MOVE G6D, 112,  76, 145,  93,  92,  60,
	WAIT
RETURN
'======= fine alza piede sx ======================

'============ alza piede dx ======================
foot_up_dx:
	SPEED 5
	MOVE G6A, 112,  76, 145,  93,  92,  60,
	MOVE G6D,  85,  71, 152,  91, 112,  60,
	MOVE G6B, 100,  40,  80
	MOVE G6C, 100,  40,  80
	WAIT
	MOVE G6A, 116,  74, 145,  98,  93,  60,
	MOVE G6D,  90,  98, 105, 115, 115,  60,
	MOVE G6B, 100,  95, 100
	MOVE G6C, 100, 105, 100
	WAIT
	MOVE G6D, 100, 151,  23, 140, 115, 100,
	WAIT
	DELAY 1000
	MOVE G6A, 112,  76, 145,  93,  92,  60,
	MOVE G6D,  85,  71, 152,  91, 112,  60,
	WAIT
RETURN
'======= fine alza piede dx ======================

'========== piegamento a dx ======================
piegamento_a_dx:
RETURN
'========== fine piegamento a dx =================

'========== piegamento a sx ======================
piegamento_a_sx:
RETURN
'========== fine piegamento a sx =================

'================= movimento ondulatorio corpo ===
body_move:
	SPEED 6
	GOSUB body_move1
	GOSUB body_move2
	GOSUB body_move3
	MOVE G6A,  93,  76, 145,  94, 109, 100
	MOVE G6D,  93,  76, 145,  94, 109, 100
	MOVE G6B, 100,  105, 100
	MOVE G6C, 100,  105, 100
	WAIT
	MOVE G6A, 104, 112,  92, 116, 107
	MOVE G6D,  79,  81, 145,  95, 108
	MOVE G6B, 100, 105, 100
	MOVE G6C, 100, 105, 100
	WAIT
	MOVE G6A,  93,  76, 145,  94, 109, 100
	MOVE G6D,  93,  76, 145,  94, 109, 100
	MOVE G6B, 100,  105, 100
	MOVE G6C, 100,  105, 100
	WAIT
	MOVE G6D, 104, 112,  92, 116, 107
	MOVE G6A,  79,  81, 145,  95, 108
	MOVE G6B, 100, 105, 100
	MOVE G6C, 100, 105, 100
	WAIT
	MOVE G6A,  93,  76, 145,  94, 109, 100
	MOVE G6D,  93,  76, 145,  94, 109, 100
	MOVE G6B, 100,  105, 100
	MOVE G6C, 100,  105, 100
	WAIT
	GOSUB body_move3
	GOSUB body_move2
	GOSUB body_move1
RETURN

body_move3:
	MOVE G6A, 93,  76, 145,  94, 109, 100
	MOVE G6D, 93,  76, 145,  94, 109, 100
	MOVE G6B,100,  35,  90
	MOVE G6C,100,  35,  90
	WAIT
RETURN

body_move2:
	MOVE G6D,110,  92, 124,  97,  93,  70
	MOVE G6A, 76,  72, 160,  82, 128,  70
	MOVE G6B,100,  35,  90
	MOVE G6C,100,  35,  90
	WAIT
RETURN

body_move1:
	MOVE G6A, 85,  71, 152,  91, 112, 60
	MOVE G6D,112,  76, 145,  93,  92, 60
	MOVE G6B,100,  40,  80
	MOVE G6C,100,  40,  80
	WAIT
RETURN

'============ fine movimento ondulatorio corpo ===

'===== movimento braccia tipo ali su piede dx ====

wing_move_dx:
	DIM i AS BYTE
	SPEED 5

	MOVE G6A, 85,  71, 152,  91, 112,  60
	MOVE G6D,112,  76, 145,  93,  92,  60
	MOVE G6B,100,  40,  80
	MOVE G6C,100,  40,  80
	WAIT

	MOVE G6A, 90,  98, 105, 115, 115,  60
	MOVE G6D,116,  74, 145,  98,  93,  60
	MOVE G6B,100, 150, 150
	MOVE G6C,100, 150, 150
	WAIT

	MOVE G6A, 90, 121,  36, 105, 115,  60
	MOVE G6D,116,  60, 146, 138,  93,  60
	MOVE G6B,100, 150, 150
	MOVE G6C,100, 150, 150
	WAIT

	MOVE G6A, 90,  98, 105,  64, 115,  60
	MOVE G6D,116,  50, 160, 160,  93,  60
	MOVE G6B,145, 110, 110
	MOVE G6C,145, 110, 110
	WAIT

	FOR i = 10 TO 15
		SPEED i
		MOVE G6B,145,  80,  80
		MOVE G6C,145,  80,  80
		WAIT

		MOVE G6B,145, 120, 120
		MOVE G6C,145, 120, 120
		WAIT
	NEXT i

	DELAY 1000
	SPEED 6

	MOVE G6A, 90,  98, 105,  64, 115,  60
	MOVE G6D,116,  50, 160, 160,  93,  60
	WAIT

	MOVE G6A, 90, 121,  36, 105, 115,  60
	MOVE G6D,116,  60, 146, 138,  93,  60
	MOVE G6B,100, 150, 150
	MOVE G6C,100, 150, 150
	WAIT
	SPEED 4

	MOVE G6A, 90,  98, 105, 115, 115,  60
	MOVE G6D,116,  74, 145,  98,  93,  60
	WAIT

	MOVE G6A, 85,  71, 152,  91, 112,  60
	MOVE G6D,112,  76, 145,  93,  92,  60
	MOVE G6B,100,  40,  80
	MOVE G6C,100,  40,  80
	WAIT
RETURN

'=== fine movimento braccia tipo ali su piede dx =

'===== movimento braccia tipo ali su piede sx ====

wing_move_sx:

	DIM t AS BYTE
	SPEED 5

	MOVE G6A,112,  76, 145,  93,  92,  60
	MOVE G6D, 85,  71, 152,  91, 112,  60
	MOVE G6B,100,  40,  80
	MOVE G6C,100,  40,  80
	WAIT

	MOVE G6A,116,  74, 145,  98,  93,  60
	MOVE G6D, 90,  98, 105, 115, 115,  60
	MOVE G6B,100, 150, 150
	MOVE G6C,100, 150, 150
	WAIT

	MOVE G6A,116,  60, 146, 138,  93,  60
	MOVE G6D, 90, 121,  36, 105, 115,  60
	MOVE G6B,100, 150, 150
	MOVE G6C,100, 150, 150
	WAIT

	MOVE G6A,116,  50, 160, 160,  93,  60
	MOVE G6D, 90,  98, 105,  64, 115,  60
	MOVE G6B,145, 110, 110
	MOVE G6C,145, 110, 110
	WAIT

	FOR t = 10 TO 15
		SPEED i
		MOVE G6B,145,  80,  80
		MOVE G6C,145,  80,  80
		WAIT

		MOVE G6B,145, 120, 120
		MOVE G6C,145, 120, 120
		WAIT
	NEXT t

	DELAY 1000
	SPEED 6

	MOVE G6A,116,  50, 160, 160,  93,  60
	MOVE G6D, 90,  98, 105,  64, 115,  60
	WAIT

	MOVE G6A,116,  60, 146, 138,  93,  60
	MOVE G6D, 90, 121,  36, 105, 115,  60
	MOVE G6B,100, 150, 150
	MOVE G6C,100, 150, 150
	WAIT
	SPEED 4

	MOVE G6A,116,  74, 145,  98,  93,  60
	MOVE G6D, 90,  98, 105, 115, 115,  60
	WAIT

	MOVE G6A,112,  76, 145,  93,  92,  60
	MOVE G6D, 85,  71, 152,  91, 112,  60
	MOVE G6B,100,  40,  80
	MOVE G6C,100,  40,  80
	WAIT
RETURN

'== fine movimento braccia tipo ali su piede sx ==

'============== calcio con piede DX ==============

right_shoot:
	SPEED 4
	MOVE G6A,112,  56, 180,  79, 104, 100
	MOVE G6D, 70,  56, 180,  79, 102, 100
	MOVE G6B,110,  45,  70
	MOVE G6C, 90,  45,  70
	WAIT
right_shoot1:
	SPEED 6
	MOVE G6A,115,  60, 180,  79,  95, 100
	MOVE G6D, 90,  90, 127,  65, 116, 100
	MOVE G6B, 80,  45,  70
	MOVE G6C,120,  45,  70
	WAIT
	SPEED 15
	HIGHSPEED SETON
right_shoot2:
	MOVE G6A,115,  52, 180,  79,  95, 100
	MOVE G6D, 90,  90, 127, 147, 116, 100
	MOVE G6B,140,  45,  70
	MOVE G6C, 60,  45,  70
	WAIT
	DELAY 500
	HIGHSPEED SETOFF
right_shoot3:
	SPEED 5
	MOVE G6A,115,  76, 145,  93, 102, 100
	MOVE G6D, 70,  76, 145,  93, 104, 100
	MOVE G6B,110,  45,  70
	MOVE G6C, 90,  45,  70
	WAIT
RETURN

'=========== fine calcio con piede dx ============

'============== calcio con piede sx ==============

left_shoot:
	SPEED 4
	MOVE G6A, 70,  56, 180,  79, 102, 100
	MOVE G6D,112,  56, 180,  79, 104, 100
	MOVE G6B, 90,  45,  70
	MOVE G6C,110,  45,  70
	WAIT
left_shoot1:
	SPEED 6
	MOVE G6A, 90,  90, 127,  65, 116, 100
	MOVE G6D,115,  60, 180,  79,  95, 100
	MOVE G6B,140,  45,  70
	MOVE G6C, 60,  45,  70
	WAIT
	SPEED 15
	HIGHSPEED SETON
left_shoot2:
	MOVE G6A, 90,  90, 127, 147, 116, 100
	MOVE G6D,115,  52, 180,  79,  95, 100
	MOVE G6B, 60,  45,  70
	MOVE G6C,140,  45,  70
	WAIT
	DELAY 500
	HIGHSPEED SETOFF
left_shoot3:
	SPEED 5
	MOVE G6A, 70,  76, 145,  93, 104, 100
	MOVE G6D,115,  76, 145,  93, 102, 100
	MOVE G6B, 90,  45,  70
	MOVE G6C,110,  45,  70
	WAIT
RETURN

'======= fine calcio con piede sx ================

'============ verticale ==========================
handstanding:
	GOSUB front_lie_down
	SPEED 6
	MOVE G6A,100,125,65,10,100,100
	MOVE G6D,100,125,65,10,100,100
	MOVE G6B,110,30,80,100,100,150
	MOVE G6C,110,30,80,100,100,150
	SPEED 3
	MOVE G6A,100,125,65,10,100,100
	MOVE G6D,100,125,65,10,100,100
	MOVE G6B,170,30,80,100,100,150
	MOVE G6C,170,30,80,100,100,150
	WAIT
	DELAY 200
	SPEED 6
	MOVE G6A,100,89,129,57,100,100
	MOVE G6D,100,89,129,57,100,100
	MOVE G6B,180,30,80,100,100,150
	MOVE G6C,180,30,80,100,100,150
	WAIT
	MOVE G6A,100,64,179,57,100,100
	MOVE G6D,100,64,179,57,100,100
	MOVE G6B,190,50,80,100,100,150
	MOVE G6C,190,50,80,100,100,150
	WAIT
	DELAY 500
	MOVE G6A,100,64,179,57,160,100
	MOVE G6D,100,64,179,57,160,100
	WAIT
	DELAY 1000
	SPEED 10
	MOVE G6A,100,64,179,17,160,100
	MOVE G6D, 100,64,179,97,160,100
	WAIT
	DELAY 500
	MOVE G6A,100,64,179,97,160,100
	MOVE G6D, 100,64,179,17,160,100
	WAIT
	DELAY 500
	MOVE G6A,100,64,179,57,160,100
	MOVE G6D,100,64,179,57,160,100
	WAIT
	DELAY 500
	SPEED 13
	GOSUB foot_up2_move
	DELAY 500
	MOVE G6A,100,64,179,57,160,100
	MOVE G6D,100,64,179,57,160,100
	WAIT
	SPEED 10
	DELAY 500
	MOVE G6A,100,64,179,57,100,100
	MOVE G6D,100,64,179,57,100,100
	WAIT
	MOVE G6A,100,64,179,57,190,100
	MOVE G6D,100,64,179,57,190,100
	WAIT
	MOVE G6A,100,64,179,57,100,100
	MOVE G6D,100,64,179,57,100,100
	WAIT
	DELAY 1000
	MOVE G6B,190,50,80,100,100,150
	MOVE G6C,190,50,80,100,100,150
	WAIT
	MOVE G6A,100,89,129,57,100,100
	MOVE G6D,100,89,129,57,100,100
	MOVE G6B,180,30,80,100,100,150
	MOVE G6C,180,30,80,100,100,150
	WAIT
	SPEED 3
	MOVE G6A,100,125,65,10,100,100
	MOVE G6D,100,125,65,10,100,100
	MOVE G6B,170,30,80,100,100,150
	MOVE G6C,170,30,80,100,100,150
	WAIT
	SPEED 6
	MOVE G6A,100,125,65,10,100,100
	MOVE G6D,100,125,65,10,100,100
	MOVE G6B,110,30,80,100,100,150
	MOVE G6C,110,30,80,100,100,150
	WAIT
	GOSUB standard_pose
	GOSUB forward_standup
	SPEED 5
RETURN

foot_up2_move:

	MOVE G6A,  45,  40, 115,  15, 175, 100
	MOVE G6D,  50,  85, 185, 150, 185, 100
	WAIT
	DELAY 500
	MOVE G6A,  50,  85, 185, 150, 185, 100
	MOVE G6D,  45,  40, 115,  15, 175, 100
	WAIT
	DELAY 500
	MOVE G6A, 100,  64, 179,  57, 100,    ,
	MOVE G6D, 100,  64, 179,  57, 100,    ,
	WAIT
	DELAY 1000
RETURN

'============ fine verticale =====================

'============ camminata veloce in AVANTI =========
fast_walk:
DIM A10 AS BYTE
	SPEED 10
	MOVE G6B,100,  30,  90
	MOVE G6C,100,  30,  90
	WAIT
	SPEED 7
fast_run01:
	MOVE G6A, 90,  72, 148,  93, 110,  70
	MOVE G6D,108,  75, 145,  93,  95,  70
	WAIT
	SPEED 15
fast_run02:
	MOVE G6A, 90,  95, 105, 115, 110,  70
	MOVE G6D,112,  75, 145,  93,  95,  70
	MOVE G6B, 90,  30,  90
	MOVE G6C,110,  30,  90
	WAIT
	SPEED 15
	FOR A10 = 1 TO 4
		fast_run20:
		MOVE G6A,100,  80, 119, 118, 106, 100
		MOVE G6D,105,  75, 145,  93, 100, 100
		MOVE G6B, 80,  30,  90
		MOVE G6C,120,  30,  90
		fast_run21:
		MOVE G6A,105,  74, 140, 106, 100, 100
		MOVE G6D, 95, 105, 124,  93, 106, 100
		MOVE G6B,100,  30,  90
		MOVE G6C,100,  30,  90
		fast_run22:
		MOVE G6D,100,  80, 119, 118, 106, 100
		MOVE G6A,105,  75, 145,  93, 100, 100
		MOVE G6C, 80,  30,  90
		MOVE G6B,120,  30,  90
		fast_run23:
		MOVE G6D,105,  74, 140, 106, 100, 100
		MOVE G6A, 95, 105, 124,  93, 106, 100
		MOVE G6C,100,  30,  90
		MOVE G6B,100,  30,  90
		NEXT A10
	SPEED 8
	MOVE G6A, 85,  80, 130,  95, 106, 100
	MOVE G6D,108,  73, 145,  93, 100, 100
	MOVE G6B, 80,  30,  90
	MOVE G6C,120,  30,  90
	WAIT
	fast_run03:
	MOVE G6A, 90,  72, 148,  93, 110,  70
	MOVE G6D,108,  75, 145,  93,  93,  70
	WAIT
	SPEED 5
	GOSUB standard_pose
RETURN
'======= fine camminata veloce in AVANTI =========

'===========  rotazione SX =======================
left_turn:
	SPEED 6
	MOVE G6D,  85,  71, 152,  91, 112,  60
	MOVE G6A, 112,  76, 145,  93,  92,  60
	MOVE G6C, 100,  40,  80
	MOVE G6B, 100,  40,  80
	WAIT
	SPEED 9
	MOVE G6A, 113,  75, 145,  97,  93,  60
	MOVE G6D,  90,  50, 157, 115, 112,  60
	MOVE G6B, 105,  40,  70
	MOVE G6C,  90,  40,  70
	WAIT
	MOVE G6A, 108,  78, 145,  98,  93,  60
	MOVE G6D,  95,  43, 169, 110, 110,  60
	MOVE G6B, 105,  40,  70
	MOVE G6C,  80,  40,  70
	WAIT
	RETURN
'=========== fine rotazione SX ===================

'===========  rotazione DX =======================
right_turn:
	SPEED 6
	MOVE G6A,  85,  71, 152,  91, 112,  60
	MOVE G6D, 112,  76, 145,  93,  92,  60
	MOVE G6B, 100,  40,  80
	MOVE G6C, 100,  40,  80
	WAIT
	SPEED 9
	MOVE G6D, 113,  75, 145,  97,  93,  60
	MOVE G6A,  90,  50, 157, 115, 112,  60
	MOVE G6C, 105,  40,  70
	MOVE G6B,  90,  40,  70
	WAIT
	MOVE G6D, 108,  78, 145,  98,  93,  60
	MOVE G6A,  95,  43, 169, 110, 110,  60
	MOVE G6C, 105,  40,  70
	MOVE G6B,  80,  40,  70
	WAIT
	RETURN

'=========== fine rotazione DX ===================

'=========== rotazione SX seduto  ================
sit_left_turn:
RETURN
'=========== fine rotazione SX seduto ============

'=========== rotazione DX seduto  ================
sit_right_turn:
RETURN
'=========== fine rotazione DX seduto ============


'================ camminata AVANTI ===============
forward_walk:
	GOSUB forward_walk_inizia
	GOSUB forward_walk_passo
	GOSUB forward_walk_termina
RETURN

forward_walk_inizia:
	GOSUB forward_walk_pos
RETURN

forward_walk_passo:
	GOSUB forward_walk_left_up
	GOSUB forward_walk_left_down
	GOSUB forward_walk_left_center
	GOSUB forward_walk_right_up
	GOSUB forward_walk_right_down
	GOSUB forward_walk_right_center
RETURN

forward_walk_termina:
	GOSUB forward_walk_left_up
	GOSUB forward_walk_pos
RETURN

forward_walk_pos:
	SPEED 5
	MOVE24  85,  71, 152,  91, 112,  60, 100,  40,  80,    ,    ,    , 100,  40,  80,    ,    ,    , 112,  76, 145,  93,  92,  60,
RETURN

forward_walk_left_up:
	SPEED 14	'left up
	MOVE24  90, 107, 105, 105, 114,  60,  90,  40,  80,    ,    ,    , 100,  40,  80,    ,    ,    , 113,  76, 145,  93,  90,  60,
RETURN

forward_walk_left_down:
	SPEED 14	'left down
	MOVE24  90,  56, 143, 122, 114,  60,  80,  40,  80,    ,    ,    , 105,  40,  80,    ,    ,    , 113,  80, 145,  90,  90,  60,
	MOVE24  90,  46, 163, 112, 114,  60,  80,  40,  80,    ,    ,    , 105,  40,  80,    ,    ,    , 112,  80, 145,  90,  90,  60,
RETURN

forward_walk_left_center:
	SPEED 10	'left center
	MOVE24 100,  66, 141, 113, 100, 100,  90,  40,  80,    ,    ,    , 100,  40,  80,    ,    ,    , 100,  83, 156,  80, 100, 100,
	MOVE24 113,  78, 142, 105,  90,  60, 100,  40,  80,    ,    ,    , 100,  40,  80,    ,    ,    ,  90, 102, 136,  85, 114,  60,
RETURN

forward_walk_right_up:
	SPEED 14	'right up
	MOVE24 113,  76, 145,  93,  90,  60, 100,  40,  80,    ,    ,    ,  90,  40,  80,    ,    ,    ,  90, 107, 105, 105, 114,  60,
RETURN

forward_walk_right_down:
	SPEED 14	'right down
	MOVE24 113,  80, 145,  90,  90,  60, 105,  40,  80,    ,    ,    ,  80,  40,  80,    ,    ,    ,  90,  56, 143, 122, 114,  60,
	MOVE24 112,  80, 145,  90,  90,  60, 105,  40,  80,    ,    ,    ,  80,  40,  80,    ,    ,    ,  90,  46, 163, 112, 114,  60,
RETURN

forward_walk_right_center:
	SPEED 10	'right center
	MOVE24 100,  83, 156,  80, 100, 100, 100,  40,  80,    ,    ,    ,  90,  40,  80,    ,    ,    , 100,  66, 141, 113, 100, 100,
	MOVE24  90, 102, 136,  85, 114,  60, 100,  40,  80,    ,    ,    , 100,  40,  80,    ,    ,    , 113,  78, 142, 105,  90,  60,
RETURN
'=========== fine camminata AVANTI ===============

'================ spostamento laterale a SX ======
left_shift:
	SPEED 5
	GOSUB left_shift1
	SPEED 9
	GOSUB left_shift2
	GOSUB left_shift3
	GOSUB left_shift4
	SPEED 9
	GOSUB left_shift5
	GOSUB left_shift6
RETURN

left_shift1:
	MOVE G6A,  85,  71, 152,  91, 112,  60,
	MOVE G6D, 112,  76, 145,  93,  92,  60,
	MOVE G6B, 100,  40,  80
	MOVE G6C, 100,  40,  80
	WAIT
RETURN

left_shift2:
	MOVE G6D, 110,  92, 124,  97,  93,  70,
	MOVE G6A,  76,  72, 160,  82, 128,  70,
	MOVE G6B, 100,  35,  90
	MOVE G6C, 100,  35,  90
	WAIT
RETURN

left_shift3:
	MOVE G6A,  93,  76, 145,  94, 109, 100,
	MOVE G6D,  93,  76, 145,  94, 109, 100,
	MOVE G6B, 100,  35,  90
	MOVE G6C, 100,  35,  90
	WAIT
RETURN

left_shift4:
	MOVE G6A, 110,  92, 124,  97,  93,  70,
	MOVE G6D,  76,  72, 160,  82, 128,  70,
	MOVE G6B, 100,  35,  90
	MOVE G6C, 100,  35,  90
	WAIT
RETURN

left_shift5:
	MOVE G6D,  86,  83, 135,  97, 114,  60,
	MOVE G6A, 113,  78, 145,  93,  93,  60,
	MOVE G6C,  90,  40,  80
	MOVE G6B, 100,  40,  80
	WAIT
RETURN

left_shift6:
	MOVE G6D,  85,  71, 152,  91, 112,  60,
	MOVE G6A, 112,  76, 145,  93,  92,  60,
	MOVE G6C, 100,  40,  80
	MOVE G6B, 100,  40,  80
	WAIT
RETURN
'=========== fine spostamento laterale a SX ======

'================= eretto/seduto =================
standard_sit_pose:
	IF SEDUTO_ERETTO=0 THEN
		SEDUTO_ERETTO=1
		SPEED 10
		GOSUB standard_pose
		GOTO standard_sit_pose_end
	ENDIF
	SEDUTO_ERETTO=0
	SPEED 10
	GOSUB sit_down_pose
	GOTO standard_sit_pose_end
	standard_sit_pose_end:
RETURN
'=============fine eretto/seduto =================

'=========== spostamento laterale a DX ===========
right_shift:
	SPEED 5
	GOSUB right_shift1
	SPEED 9
	GOSUB right_shift2
	GOSUB right_shift3
	GOSUB right_shift4
	SPEED 9
	GOSUB right_shift5
	GOSUB right_shift6
RETURN

right_shift1:
	MOVE G6D,  85,  71, 152,  91, 112, 60
	MOVE G6A, 112,  76, 145,  93,  92, 60
	MOVE G6C, 100,  40,  80
	MOVE G6B, 100,  40,  80
	WAIT
RETURN

right_shift2:
	MOVE G6A,110,  92, 124,  97,  93,  70
	MOVE G6D, 76,  72, 160,  82, 128,  70
	MOVE G6B,100,  35,  90
	MOVE G6C,100,  35,  90
	WAIT
RETURN

right_shift3:
	MOVE G6A, 93,  76, 145,  94, 109, 100
	MOVE G6D, 93,  76, 145,  94, 109, 100
	MOVE G6B,100,  35,  90
	MOVE G6C,100,  35,  90
	WAIT
RETURN

right_shift4:
	MOVE G6D,110,  92, 124,  97,  93,  70
	MOVE G6A, 76,  72, 160,  82, 128,  70
	MOVE G6B,100,  35,  90
	MOVE G6C,100,  35,  90
	WAIT
RETURN

right_shift5:
	MOVE G6A, 86,  83, 135,  97, 114,  60
	MOVE G6D,113,  78, 145,  93,  93,  60
	MOVE G6B, 90,  40,  80
	MOVE G6C,100,  40,  80
	WAIT
RETURN

right_shift6:
	MOVE G6A, 85,  71, 152,  91, 112,  60
	MOVE G6D,112,  76, 145,  93,  92,  60
	MOVE G6B,100,  40,  80
	MOVE G6C,100,  40,  80
	WAIT
RETURN
'======= fine spostamento laterale a DX ==========

'================ camminata INDIETRO =============
backward_walk:
	GOSUB backward_walk_inizia
	GOSUB backward_walk_passo
	GOSUB backward_walk_termina
RETURN

backward_walk_inizia:
	GOSUB backward_walk_pos
RETURN

backward_walk_passo:
	GOSUB backward_walk_left_up
	GOSUB backward_walk_left_down
	GOSUB backward_walk_left_center
	GOSUB backward_walk_right_up
	GOSUB backward_walk_right_down
	GOSUB backward_walk_right_center
RETURN

backward_walk_termina:
	GOSUB backward_walk_left_up
	GOSUB backward_walk_pos
RETURN

backward_walk_pos:
	SPEED 5
	MOVE G6A, 85,  71, 152,  91, 112,  60
	MOVE G6D,112,  76, 145,  93,  92,  60
	MOVE G6B,100,  40,  80,    ,    , 150
	MOVE G6C,100,  40,  80,    ,    , 150
	WAIT
RETURN

backward_walk_left_up:
	SPEED 13
	MOVE G6A, 90, 107, 105, 105, 114,  60
	MOVE G6D,113,  78, 145,  93,  90,  60
	MOVE G6B, 90,  40,  80,    ,    , 150
	MOVE G6C,100,  40,  80,    ,    , 150
	WAIT
RETURN

backward_walk_left_down:
	SPEED 7
	MOVE G6D,113,  76, 142, 105,  90,  60
	MOVE G6A, 90,  96, 136,  85, 114,  60
	MOVE G6C,100,  40,  80,    ,    , 150
	MOVE G6B,100,  40,  80,    ,    , 150
	WAIT
	MOVE G6D,100,  62, 146, 108, 100, 100
	MOVE G6A,100,  88, 140,  86, 100, 100
	MOVE G6C, 90,  40,  80,    ,    , 150
	MOVE G6B,100,  40,  80,    ,    , 150
	WAIT
RETURN

backward_walk_left_center:
	SPEED 7
	MOVE G6D, 90,  56, 143, 122, 114,  60
	MOVE G6A,113,  80, 145,  90,  90,  60
	MOVE G6C, 80,  40,  80,    ,    , 150
	MOVE G6B,105,  40,  80,    ,    , 150
	WAIT
RETURN

backward_walk_right_up:
	SPEED 13
	MOVE G6D, 90, 107, 105, 105, 114,  60
	MOVE G6A,113,  78, 145,  93,  90,  60
	MOVE G6C, 90,  40,  80,    ,    , 150
	MOVE G6B,100,  40,  80,    ,    , 150
	WAIT
RETURN

backward_walk_right_down:
	SPEED 7
	MOVE G6A,113,  76, 142, 105,  90,  60
	MOVE G6D, 90,  96, 136,  85, 114,  60
	MOVE G6B,100,  40,  80,    ,    , 150
	MOVE G6C,100,  40,  80,    ,    , 150
	WAIT
	MOVE G6A,100,  62, 146, 108, 100, 100
	MOVE G6D,100,  88, 140,  86, 100, 100
	MOVE G6B, 90,  40,  80,    ,    , 150
	MOVE G6C,100,  40,  80,    ,    , 150
	WAIT
RETURN

backward_walk_right_center:
	SPEED 7
	MOVE G6A, 90,  56, 143, 122, 114,  60
	MOVE G6D,113,  80, 145,  90,  90,  60
	MOVE G6B, 80,  40,  80,    ,    , 150
	MOVE G6C,105,  40,  80,    ,    , 150
'	WAIT
RETURN

'============ fine camminata INDIETRO ============

'=============== verifica ostacolo ===============
verifica_ostacolo:

	OSTACOLO=AD(0)
	IF OSTACOLO<20 THEN 
		START_STOP=1 
	ELSE 
		START_STOP=0
	ENDIF
	OSTACOLO=0
RETURN
'=========== fine verifica ostacolo===============

'============ movimento continuo =================
mov_continuo:

	ON SEDUTO_ERETTO GOTO mov_continuo_seduto,mov_continuo_eretto

mov_continuo_seduto:
	IF TASTO=11 THEN
		GOSUB verifica_ostacolo
		IF START_STOP=1 THEN 		' se incontro ostacolo si ferma ed esce dal movimento continuato
			TASTO=26				' forzando TASTO=26 per termine movimento
			GOTO next_mov_ostacolo	' e saltando al ciclo di controllo per uscita
		ENDIF
		GOSUB sit_forward_walking_passo
		WAIT
		GOTO next_mov_continuo
	ENDIF
	IF TASTO=12 THEN
		GOSUB sit_backward_walking_passo
		GOTO next_mov_continuo
	ENDIF
	IF TASTO=13 THEN
		IF OLD_TASTO=11 THEN 					' means provengo da mov avanti e 
			GOSUB sit_forward_walking_termina	' termino il passo avanti andando 
			GOSUB sit_down_pose					' in standard pose
		ENDIF
		IF OLD_TASTO=12 THEN 				' means provengo da mov indietro
			GOSUB sit_backward_walking_termina	' termino il passo indietro andando
			GOSUB sit_down_pose				' in standard pose
		ENDIF
		SPEED 5
		GOSUB sit_right_shift
		GOTO next_mov_continuo
	ENDIF
	IF TASTO=14 THEN
		IF OLD_TASTO=11 THEN 					' means provengo da mov avanti e 
			GOSUB sit_forward_walking_termina	' termino il passo avanti andando 
			GOSUB sit_down_pose					' in standard pose
		ENDIF
		IF OLD_TASTO=12 THEN 				' means provengo da mov indietro
			GOSUB sit_backward_walking_termina	' termino il passo indietro andando
			GOSUB sit_down_pose				' in standard pose
		ENDIF
		SPEED 5
		GOSUB sit_left_shift
		GOTO next_mov_continuo
	ENDIF
	
	GOTO next_mov_continuo
	
mov_continuo_eretto:
	IF TASTO=11 THEN
		GOSUB verifica_ostacolo
		IF START_STOP=1 THEN 		' se incontro ostacolo si ferma ed esce dal movimento continuato
			TASTO=26				' forzando TASTO=26 
			GOTO next_mov_ostacolo	' e saltando al ciclo di controllo per uscita
		ENDIF
		IF OLD_TASTO<>11 THEN GOSUB forward_walk_inizia 'means prima volta nel ciclo o provengo da mov differente eseguo inizializzazione movimento avanti
		GOSUB forward_walk_passo
		GOTO next_mov_continuo
	ENDIF
	IF TASTO=12 THEN
		IF OLD_TASTO<>12 THEN GOSUB backward_walk_inizia 'means prima volta nel ciclo o provengo da mov differente eseguo inizializzazione movimento indietro
		GOSUB backward_walk_passo
		GOTO next_mov_continuo
	ENDIF
	IF TASTO=13 THEN
		IF OLD_TASTO=11 THEN 			' means provengo da mov avanti e 
			GOSUB forward_walk_termina	' termino il passo avanti andando 
			GOSUB standard_pose			' in standard pose
		ENDIF
		IF OLD_TASTO=12 THEN 			' means provengo da mov indietro
			GOSUB backward_walk_termina	' termino il passo indietro andando
			GOSUB standard_pose			' in standard pose
		ENDIF
		GOSUB right_turn
		GOSUB standard_pose
		GOTO next_mov_continuo
	ENDIF
	IF TASTO=14 THEN
		IF OLD_TASTO=11 THEN 			' means provengo da mov avanti e 
			GOSUB forward_walk_termina	' termino il passo avanti andando 
			GOSUB standard_pose			' in standard pose
		ENDIF
		IF OLD_TASTO=12 THEN 			' means provengo da mov indietro
			GOSUB backward_walk_termina	' termino il passo indietro andando
			GOSUB standard_pose			' in standard pose
		ENDIF
		GOSUB left_turn
		GOSUB standard_pose
		GOTO next_mov_continuo
	ENDIF

next_mov_continuo:
	OLD_TASTO=TASTO
	GOSUB get_IR
	next_mov_ostacolo:
	IF TASTO=26 THEN 
		ON SEDUTO_ERETTO GOTO termina_seduto,termina_eretto
		termina_seduto:
		IF OLD_TASTO=11 THEN GOSUB sit_forward_walking_termina' se stava camminando avanti seduto termina movimento
		IF OLD_TASTO=12  THEN GOSUB sit_backward_walking_termina' se stava camminando indietro seduto termina movimento
		GOTO mov_continuo_end
		termina_eretto:
		IF OLD_TASTO=11 THEN GOSUB forward_walk_termina' se stava camminando avanti in piedi termina movimento
		IF OLD_TASTO=12  THEN GOSUB backward_walk_termina' se stava camminando indietro in piedi termina movimento
		GOTO mov_continuo_end
	ENDIF
	IF TASTO<>11 AND TASTO<>12 THEN						' se il tasto premuto non corrisponde alle quattro direzioni riassegnamo
		IF TASTO<>13 AND TASTO<>14 THEN TASTO=OLD_TASTO	' riassegnamo il valore precedente per continuare il movimento
	ENDIF
	GOTO mov_continuo
	mov_continuo_end:									' termina il movimento continuo
	ON SEDUTO_ERETTO GOTO sit_down_pose,standard_pose	' ripotiamoci nella posizione seduta/eretta prima del movimento continuo
RETURN
'============ fine movimento continuo ============

''===== movimento continuo laterale ===============
mov_continuo_lat:

ON SEDUTO_ERETTO GOTO mov_continuo_lat_seduto,mov_continuo_lat_eretto

mov_continuo_lat_seduto:
	IF TASTO=13 THEN
		SPEED 5
		GOSUB sit_right_shift
		GOTO next_mov_continuo_lat
	ENDIF
	IF TASTO=14 THEN
		SPEED 5
		GOSUB sit_left_shift
		GOTO next_mov_continuo_lat
	ENDIF

	GOTO next_mov_continuo_lat

mov_continuo_lat_eretto:
	IF TASTO=13 THEN
		SPEED 8
		GOSUB right_shift
		SPEED 6
		GOSUB standard_pose
		GOTO next_mov_continuo_lat
	ENDIF
	IF TASTO=14 THEN
		SPEED 8
		GOSUB left_shift
		SPEED 6
		GOSUB standard_pose
		GOTO next_mov_continuo_lat
	ENDIF
	
next_mov_continuo_lat:
	OLD_TASTO=TASTO
	GOSUB get_IR
	IF TASTO=26 THEN GOTO mov_continuo_lat_end
	IF TASTO<>13 AND TASTO<>14 THEN TASTO=OLD_TASTO
	GOTO mov_continuo_lat
	mov_continuo_lat_end:
	ON SEDUTO_ERETTO GOTO sit_down_pose,standard_pose
RETURN
'=== fine movimento continuo laterale =============

'===== movimento continuo rotazione ==============
mov_continuo_rot:

ON SEDUTO_ERETTO GOTO mov_continuo_rot_seduto,mov_continuo_rot_eretto

mov_continuo_rot_seduto:
	IF TASTO=22 THEN
		SPEED 5
		GOSUB sit_left_turn
		WAIT
		GOTO next_mov_continuo_rot
	ENDIF
	IF TASTO=24 THEN
		SPEED 5
		GOSUB sit_right_turn
		GOTO next_mov_continuo_rot
	ENDIF

	GOTO next_mov_continuo_rot

mov_continuo_rot_eretto:
	IF TASTO=22 THEN
		GOSUB left_turn
		GOSUB standard_pose
		GOTO next_mov_continuo_rot
	ENDIF
	IF TASTO=24 THEN
		GOSUB right_turn
		GOSUB standard_pose
		GOTO next_mov_continuo_rot
	ENDIF

next_mov_continuo_rot:
	OLD_TASTO=TASTO
	GOSUB get_IR
	IF TASTO=26 THEN GOTO mov_continuo_rot_end
	IF TASTO<>22 AND TASTO<>24 THEN TASTO=OLD_TASTO
	GOTO mov_continuo_rot
	mov_continuo_rot_end:
	ON SEDUTO_ERETTO GOTO sit_down_pose,standard_pose
RETURN
'== fine movimento continuo  rotazione  ==========

'============ capriola AVANTI ====================
forward_tumbling:
	SPEED 8
	GOSUB standard_pose
	MOVE G6A,100, 155,  20, 140, 100, 100
	MOVE G6D,100, 155,  20, 140, 100, 100
	MOVE G6B,130,  50,  85, 100, 100, 150
	MOVE G6C,130,  50,  85, 100, 100, 150
	WAIT
	MOVE G6A, 60, 165,  30, 165, 155, 100
	MOVE G6D, 60, 165,  30, 165, 155, 100
	MOVE G6B,170,  10, 100, 100, 100, 150
	MOVE G6C,170,  10, 100, 100, 100, 150
	WAIT
	MOVE G6A, 75, 165,  55, 165, 155, 100
	MOVE G6D, 75, 165,  55, 165, 155, 100
	MOVE G6B,185,  10, 100, 100, 100, 150
	MOVE G6C,185,  10, 100, 100, 100, 150
	WAIT
	MOVE G6A, 80, 155,  85, 150, 150, 100
	MOVE G6D, 80, 155,  85, 150, 150, 100
	MOVE G6B,185,  40, 60,  100, 100, 150
	MOVE G6C,185,  40, 60,  100, 100, 150
	WAIT
	MOVE G6A,100, 130, 120,  80, 110, 100
	MOVE G6D,100, 130, 120,  80, 110, 100
	MOVE G6B,130, 160,  10, 100, 100, 150
	MOVE G6C,130, 160,  10, 100, 100, 150
	WAIT
	MOVE G6A,100, 160, 110, 140, 100, 100
	MOVE G6D,100, 160, 110, 140, 100, 100
	MOVE G6B,140,  70,  20, 100, 100, 150
	MOVE G6C,140,  70,  20, 100, 100, 150
	WAIT
	SPEED 15
	MOVE G6A,100,  56, 110,  26, 100, 100
	MOVE G6D,100,  71, 177, 162, 100, 100
	MOVE G6B,170,  40,  50, 100, 100, 150
	MOVE G6C,170,  40,  50, 100, 100, 150
	WAIT
	MOVE G6A,100,  62, 110,  15, 100, 100
	MOVE G6D,100,  71, 128, 113, 100, 100
	MOVE G6B,190,  40,  50, 100, 100, 150
	MOVE G6C,190,  40,  50, 100, 100, 150
	WAIT
	SPEED 15
	MOVE G6A,100,  55, 110,  15, 100, 100
	MOVE G6D,100,  55, 110,  15, 100, 100
	MOVE G6B,190,  40,  50, 100, 100, 150
	MOVE G6C,190,  40,  50, 100, 100, 150
	WAIT
	SPEED 10
	MOVE G6A,100, 110, 100,  15, 100, 100
	MOVE G6D,100, 110, 100,  15, 100, 100
	MOVE G6B,170, 160, 115, 100, 100, 150
	MOVE G6C,170, 160, 115, 100, 100, 150
	WAIT
	MOVE G6A,100, 170,  70,  15, 100, 100
	MOVE G6D,100, 170,  70,  15, 100, 100
	MOVE G6B,190, 170, 120, 100, 100, 150
	MOVE G6C,190, 170, 120, 100, 100, 150
	WAIT
	MOVE G6A,100, 170,  30, 110, 100, 100
	MOVE G6D,100, 170,  30, 110, 100, 100
	MOVE G6B,190,  40,  60, 100, 100, 150
	MOVE G6C,190,  40,  60, 100, 100, 150
	WAIT
	GOSUB sit_down_pose
	GOSUB standard_pose
RETURN
'======= fine capriola AVANTI ====================

'============ ruota SX ===========================
left_tumbling:
	SPEED 8
	MOVE G6A,100, 135,  55, 123, 100, 100
	MOVE G6D,100, 135,  60, 123, 100, 100
	MOVE G6B,100, 120, 140, 100, 100, 150
	MOVE G6C,100, 120, 140, 100, 100, 150
	WAIT
	DELAY 100
	SPEED 3
	MOVE G6A,114, 135,  55, 123, 105, 100
	MOVE G6D, 88, 110,  91, 116, 100, 100
	MOVE G6B,100, 120, 140, 100, 100, 150
	MOVE G6C,100, 120, 140, 100, 100, 150
	WAIT
	DELAY 100
	MOVE G6A,114, 135,  55, 123, 105, 100
	MOVE G6D,89,  135,  60, 123, 100, 100
	MOVE G6B,100, 120, 140, 100, 100, 150
	MOVE G6C,100, 120, 140, 100, 100, 150
	WAIT
	MOVE G6A,120, 135,  55, 123, 110, 100
	MOVE G6D, 89, 135,  60, 123, 130, 100
	MOVE G6B,100, 120, 140, 100, 100, 150
	MOVE G6C,100, 120, 140, 100, 100, 150
	WAIT
	SPEED 4
	MOVE G6A,120, 135,  55, 123, 120, 100
	MOVE G6D,89,  135,  60, 123, 158, 100
	MOVE G6B,100, 165, 185, 100, 100, 150
	MOVE G6C,100, 165, 185, 100, 100, 150
	WAIT
	SPEED 12
	MOVE G6A,120, 131,  60, 123, 185, 100
	MOVE G6D,120, 131,  60, 123, 183, 100
	MOVE G6B,100, 165, 185, 100, 100, 150
	MOVE G6C,100, 165, 185, 100, 100, 150
	WAIT
	DELAY 200
	SPEED 5
	MOVE G6A,120, 131,  60, 123, 185, 100
	MOVE G6D,120, 131,  60, 123, 183, 100
	MOVE G6B,100, 120, 145, 100, 100, 150
	MOVE G6C,100, 120, 145, 100, 100, 150
	WAIT
	SPEED 6
	MOVE G6A, 86, 112,  73, 127, 101, 100
	MOVE G6D,105, 131,  60, 123, 183, 100
	MOVE G6B,100, 120, 145, 100, 100, 150
	MOVE G6C,100, 120, 145, 100, 100, 150
	WAIT
	SPEED 3
	MOVE G6A, 86, 118,  73, 127, 101, 100
	MOVE G6D,112, 131,  62, 123, 133, 100
	MOVE G6B,100,  80,  80, 100, 100, 150
	MOVE G6C,100,  80,  80, 100, 100, 150
	WAIT
	SPEED 3
	MOVE G6A, 88, 115,  86, 115,  90, 100
	MOVE G6D,107, 135,  62, 123, 113, 100
	MOVE G6B,100,  80,  80, 100, 100, 150
	MOVE G6C,100,  80,  80, 100, 100, 150
	WAIT
	SPEED 4
	MOVE G6A,100, 135,  60, 123, 100, 100
	MOVE G6D,100, 135,  60, 123, 100, 100
	MOVE G6B,100,  80,  80, 100, 100, 150
	MOVE G6C,100,  80,  80, 100, 100, 150
	WAIT
RETURN
'======= fine ruota SX ===========================

'=========== serie pugni frontali ================
forward_punch:
	SPEED 15
	MOVE G6A, 92, 100, 110, 100, 107, 100
	MOVE G6D, 92, 100, 110, 100, 107, 100
	MOVE G6B,190, 150,  10
	MOVE G6C,190, 150,  10
	WAIT
	SPEED 15
	HIGHSPEED SETON
	MOVE G6B,190,  10,  75
	MOVE G6C,190, 140,  10
	WAIT
	DELAY 500
	MOVE G6B,190, 140,  10
	MOVE G6C,190,  10,  75
	WAIT
	DELAY 500
	MOVE G6A, 92, 100, 113, 100, 107, 100
	MOVE G6D, 92, 100, 113, 100, 107, 100
	MOVE G6B,190, 150,  10
	MOVE G6C,190, 150,  10
	WAIT
	HIGHSPEED SETOFF
	MOVE G6A,100, 115,  90, 110, 100, 100
	MOVE G6D,100, 115,  90, 110, 100, 100
	MOVE G6B,100,  80,  60
	MOVE G6C,100,  80,  60
	WAIT
RETURN


'=========== serie pugni frontali seduto==========
sit_forward_punch:	
	SPEED 15
'	MOVE G6A, 92, 100, 110, 100, 107, 100
'	MOVE G6D, 92, 100, 110, 100, 107, 100
	MOVE G6B,190, 150,  10
	MOVE G6C,190, 150,  10
	WAIT
	SPEED 15
	HIGHSPEED SETON
	MOVE G6B,190,  10,  75
	MOVE G6C,190, 140,  10
	WAIT
	DELAY 500
	MOVE G6B,190, 140,  10
	MOVE G6C,190,  10,  75
	WAIT
	DELAY 500
'	MOVE G6A, 92, 100, 113, 100, 107, 100
'	MOVE G6D, 92, 100, 113, 100, 107, 100
	MOVE G6B,190, 150,  10
	MOVE G6C,190, 150,  10
	WAIT
	HIGHSPEED SETOFF
'	MOVE G6A,100, 115,  90, 110, 100, 100
'	MOVE G6D,100, 115,  90, 110, 100, 100
	MOVE G6B,100,  80,  60
	MOVE G6C,100,  80,  60
	WAIT
RETURN
'======= fine serie pugni frontali seduto=========

'============ ruota DX ===========================
righ_tumbling:
	SPEED 8
	MOVE G6A,100, 135,  60, 123, 100, 100
	MOVE G6D,100, 135,  60, 123, 100, 100
	MOVE G6B,100, 120, 140, 100, 100, 150
	MOVE G6C,100, 120, 140, 100, 100, 150
	WAIT
	DELAY 100
	SPEED 3
	MOVE G6A, 83, 110,  91, 116, 100, 100
	MOVE G6D,114, 135,  60, 123, 105, 100
	MOVE G6B,100, 120, 140, 100, 100, 150
	MOVE G6C,100, 120, 140, 100, 100, 150
	WAIT
	DELAY 100
	MOVE G6A,89,  135,  60, 123, 100, 100
	MOVE G6D,114, 135,  60, 123, 105, 100
	MOVE G6B,100, 120, 140, 100, 100, 150
	MOVE G6C,100, 120, 140, 100, 100, 150
	WAIT
	MOVE G6A, 89, 135,  60, 123, 130, 100
	MOVE G6D,120, 135,  60, 123, 110, 100
	MOVE G6B,100, 120, 140, 100, 100, 150
	MOVE G6C,100, 120, 140, 100, 100, 150
	WAIT
	SPEED 4
	MOVE G6A,89,  135,  60, 123, 158, 100
	MOVE G6D,120, 135,  60, 123, 120, 100
	MOVE G6B,100, 165, 185, 100, 100, 150
	MOVE G6C,100, 165, 185, 100, 100, 150
	WAIT
	SPEED 12
	MOVE G6A,120, 131,  60, 123, 183, 100
	MOVE G6D,120, 131,  60, 123, 185, 100
	MOVE G6B,100, 165, 185, 100, 100, 150
	MOVE G6C,100, 165, 185, 100, 100, 150
	WAIT
	DELAY 200
	SPEED 5
	MOVE G6A,120, 131,  60, 123, 183, 100
	MOVE G6D,120, 131,  60, 123, 185, 100
	MOVE G6B,100, 120, 145, 100, 100, 150
	MOVE G6C,100, 120, 145, 100, 100, 150
	WAIT
	SPEED 6
	MOVE G6A,105, 131,  60, 123, 183, 100
	MOVE G6D, 86, 112,  73, 127, 101, 100
	MOVE G6B,100, 120, 145, 100, 100, 150
	MOVE G6C,100, 120, 145, 100, 100, 150
	WAIT
	SPEED 3
	MOVE G6A,112, 131,  62, 123, 133, 100
	MOVE G6D, 86, 118,  73, 127, 101, 100
	MOVE G6B,100,  80,  80, 100, 100, 150
	MOVE G6C,100,  80,  80, 100, 100, 150
	WAIT
	SPEED 3
	MOVE G6A,107, 135,  62, 123, 113, 100
	MOVE G6D, 88, 115,  89, 115,  90, 100
	MOVE G6B,100,  80,  80, 100, 100, 150
	MOVE G6C,100,  80,  80, 100, 100, 150
	WAIT
	SPEED 4
	MOVE G6A,100, 135,  60, 123, 100, 100
	MOVE G6D,100, 135,  60, 123, 100, 100
	MOVE G6B,100,  80,  80, 100, 100, 150
	MOVE G6C,100,  80,  80, 100, 100, 150
	WAIT
RETURN
'======= fine ruota SX ===========================

'======= capriola INDIETRO =======================
back_tumbling:
	SPEED 8
	GOSUB standard_pose
	MOVE G6A, 100, 170,  71,  23, 100, 100
	MOVE G6D, 100, 170,  71,  23, 100, 100
	MOVE G6B,  80,  50,  70
	MOVE G6C,  80,  50,  70
	WAIT
	MOVE G6A, 100, 133,  71,  23, 100, 100
	MOVE G6D, 100, 133,  71,  23, 100, 100
	MOVE G6B,  10,  96,  15
	MOVE G6C,  10,  96,  15
	WAIT
	MOVE G6A, 100, 133,  49,  23, 100, 100
	MOVE G6D, 100, 133,  49,  23, 100, 100
	MOVE G6B,  45, 116,  15
	MOVE G6C,  45, 116,  15
	WAIT
	MOVE G6A, 100, 133,  49,  23, 100, 100
	MOVE G6D, 100,  70, 180, 160, 100, 100
	MOVE G6B,  45,  50,  70
	MOVE G6C,  45,  50,  70
	WAIT
	SPEED 15
	MOVE G6A, 100, 133, 180, 160, 100, 100
	MOVE G6D, 100, 133, 180, 160, 100, 100
	MOVE G6B,  10,  50,  70
	MOVE G6C,  10,  50,  70
	WAIT
	HIGHSPEED SETON
	MOVE G6A, 100,  95, 180, 160, 100, 100
	MOVE G6D, 100,  95, 180, 160, 100, 100
	MOVE G6B, 160,  50,  70
	MOVE G6C, 160,  50,  70
	WAIT
	HIGHSPEED SETOFF
	MOVE G6A, 100, 130, 120,  80, 110, 100
	MOVE G6D, 100, 130, 120,  80, 110, 100
	MOVE G6B, 130, 160,  10
	MOVE G6C, 130, 160,  10
	WAIT
	GOSUB back_standing
RETURN

back_standing:										'VERIFICARE CON BACKWARD STANDUP
	SPEED 10
	MOVE G6A,100, 130, 120,  80, 110, 100
	MOVE G6D,100, 130, 120,  80, 110, 100
	MOVE G6B,150, 160,  10
	MOVE G6C,150, 160,  10
	WAIT
	MOVE G6A, 80, 155,  85, 150, 150, 100
	MOVE G6D, 80, 155,  85, 150, 150, 100
	MOVE G6B,185,  40, 60
	MOVE G6C,185,  40, 60
	WAIT
	MOVE G6A, 75, 165,  55, 165, 155, 100
	MOVE G6D, 75, 165,  55, 165, 155, 100
	MOVE G6B,185,  10, 100
	MOVE G6C,185,  10, 100
	WAIT
	MOVE G6A, 60, 165,  30, 165, 155, 100
	MOVE G6D, 60, 165,  30, 165, 155, 100
	MOVE G6B,170,  10, 100
	MOVE G6C,170,  10, 100
	WAIT
	MOVE G6A, 60, 165,  25, 160, 145, 100
	MOVE G6D, 60, 165,  25, 160, 145, 100
	MOVE G6B,150,  60,  90
	MOVE G6C,150,  60,  90
	WAIT
	MOVE G6A,100, 155,  25, 140, 100, 100
	MOVE G6D,100, 155,  25, 140, 100, 100
	MOVE G6B,130,  50,  85
	MOVE G6C,130,  50,  85
	WAIT
RETURN
'======= fine capriola INDIETRO ==================

'=========== attacco laterale SX =================
left_attack:
	SPEED 7
	GOSUB left_attack1
	SPEED 12
	HIGHSPEED SETON
	MOVE G6A, 98, 157,  20, 134, 110, 100
	MOVE G6D, 57, 115,  77, 125, 134, 100
	MOVE G6B,107, 135, 108
	MOVE G6C,112,  92,  99
	WAIT
	DELAY 1000
	HIGHSPEED SETOFF
	SPEED 15
	GOSUB sit_down_pose
RETURN

left_attack1:
	MOVE G6A,  85,  71, 152,  91, 107, 60
	MOVE G6D, 108,  76, 145,  93, 100, 60
	MOVE G6B, 100,  40,  80
	MOVE G6C, 100,  40,  80
	WAIT
RETURN
'====== fine attacco laterale SX =================

'=========== attacco laterale SX seduto===========
sit_left_attack:
'	SPEED 7
'	GOSUB left_attack1
'	SPEED 12
'	HIGHSPEED SETON
'	MOVE G6A, 98, 157,  20, 134, 110, 100
'	MOVE G6D, 57, 115,  77, 125, 134, 100
'	MOVE G6B,107, 135, 108
'	MOVE G6C,112,  92,  99
'	WAIT
'	DELAY 1000
'	HIGHSPEED SETOFF
'	SPEED 15
'	GOSUB sit_down_pose
'RETURN
'
'left_attack1:
'	MOVE G6A,  85,  71, 152,  91, 107, 60
'	MOVE G6D, 108,  76, 145,  93, 100, 60
'	MOVE G6B, 100,  40,  80
'	MOVE G6C, 100,  40,  80
'	WAIT
RETURN
'====== fine attacco laterale SX seduto ==========

'=========== attacco laterale DX =================
right_attack:
	SPEED 7
	GOSUB right_attack1
	SPEED 12
	HIGHSPEED SETON
	MOVE G6D, 98, 157,  20, 134, 110, 100
	MOVE G6A, 57, 115,  77, 125, 134, 100
	MOVE G6B,112,  92,  99
	MOVE G6C,107, 135, 108
	WAIT
	DELAY 1000
	HIGHSPEED SETOFF
	SPEED 15
	GOSUB sit_down_pose
RETURN

right_attack1:
	MOVE G6D,  85,  71, 152,  91, 107, 60
	MOVE G6A, 108,  76, 145,  93, 100, 60
	MOVE G6C, 100,  40,  80
	MOVE G6B, 100,  40,  80
	WAIT
RETURN
'====== fine attacco laterale DX =================

'=========== attacco laterale DX seduto ==========
sit_right_attack:
'	SPEED 7
'	GOSUB right_attack1
'	SPEED 12
'	HIGHSPEED SETON
'	MOVE G6D, 98, 157,  20, 134, 110, 100
'	MOVE G6A, 57, 115,  77, 125, 134, 100
'	MOVE G6B,112,  92,  99
'	MOVE G6C,107, 135, 108
'	WAIT
'	DELAY 1000
'	HIGHSPEED SETOFF
'	SPEED 15
'	GOSUB sit_down_pose
'RETURN
'
'right_attack1:
'	MOVE G6D,  85,  71, 152,  91, 107, 60
'	MOVE G6A, 108,  76, 145,  93, 100, 60
'	MOVE G6C, 100,  40,  80
'	MOVE G6B, 100,  40,  80
'	WAIT
RETURN
'====== fine attacco laterale DX seduto ==========


'======= attacco frontale SX pugno================
left_forward_punch:
'	SPEED 7
'	MOVE G6A,  85,  71, 152,  91, 107, 60
'	MOVE G6D, 108,  76, 145,  93, 100, 60
'	MOVE G6B, 130,  40,  80
'	MOVE G6C,  70,  40,  80
'	WAIT
'	SPEED 12
'	HIGHSPEED SETON
'	MOVE G6A, 107, 164,  21, 125,  93
'	MOVE G6D,  66, 163,  85,  65, 130
'	MOVE G6B, 189,  40,  77
'	MOVE G6C,  50,  72,  86
'	WAIT
'	DELAY 1000
'	HIGHSPEED SETOFF
'	GOSUB standard_pose
RETURN
'======= fine attacco frontale SX pugno ==========

'======= attacco frontale SX pugno seduto ========
sit_left_forward_punch:
	SPEED 7
	MOVE G6A,  85,  71, 152,  91, 107, 60
	MOVE G6D, 108,  76, 145,  93, 100, 60
	MOVE G6B, 130,  40,  80
	MOVE G6C,  70,  40,  80
	WAIT
	SPEED 12
	HIGHSPEED SETON
	MOVE G6A, 107, 164,  21, 125,  93
	MOVE G6D,  66, 163,  85,  65, 130
	MOVE G6B, 189,  40,  77
	MOVE G6C,  50,  72,  86
	WAIT
	DELAY 1000
	HIGHSPEED SETOFF
	GOSUB sit_down_pose
RETURN
'======= fine attacco frontale SX pugno seduto ===

'======= attacco frontale DX pugno ===============
right_forward_punch:
'	SPEED 7
'	MOVE G6D,  85,  71, 152,  91, 107, 60
'	MOVE G6A, 108,  76, 145,  93, 100, 60
'	MOVE G6C, 130,  40,  80
'	MOVE G6B,  70,  40,  80
'	WAIT
'	SPEED 10
'	HIGHSPEED SETON
'	MOVE G6D, 107, 164,  21, 125,  93
'	MOVE G6A,  66, 163,  85,  65, 130
'	MOVE G6C, 189,  40,  77
'	MOVE G6B,  50,  72,  86
'	WAIT
'	DELAY 1000
'	HIGHSPEED SETOFF
'	GOSUB standard_pose
RETURN
'=======fine attacco frontale DX pugno ===========


'======= attacco frontale DX pugno seduto ========
sit_right_forward_punch:
	SPEED 7
	MOVE G6D,  85,  71, 152,  91, 107, 60
	MOVE G6A, 108,  76, 145,  93, 100, 60
	MOVE G6C, 130,  40,  80
	MOVE G6B,  70,  40,  80
	WAIT
	SPEED 10
	HIGHSPEED SETON
	MOVE G6D, 107, 164,  21, 125,  93
	MOVE G6A,  66, 163,  85,  65, 130
	MOVE G6C, 189,  40,  77
	MOVE G6B,  50,  72,  86
	WAIT
	DELAY 1000
	HIGHSPEED SETOFF
	GOSUB sit_down_pose
RETURN
'=======fine attacco frontale DX pugno seduto ====

'=========== rialzo caduta FRONTALE ==============
forward_standup:
	SPEED 10
	MOVE G6A,100, 130, 120,  80, 110, 100
	MOVE G6D,100, 130, 120,  80, 110, 100
	MOVE G6B,150, 160,  10, 100, 100, 150
	MOVE G6C,150, 160,  10, 100, 100, 150
	WAIT
	MOVE G6A, 80, 155,  85, 150, 150, 100
	MOVE G6D, 80, 155,  85, 150, 150, 100
	MOVE G6B,185,  40, 60,  100, 100, 150
	MOVE G6C,185,  40, 60,  100, 100, 150
	WAIT
	MOVE G6A, 75, 165,  55, 165, 155, 100
	MOVE G6D, 75, 165,  55, 165, 155, 100
	MOVE G6B,185,  10, 100, 100, 100, 150
	MOVE G6C,185,  10, 100, 100, 100, 150
	WAIT
	MOVE G6A, 60, 165,  30, 165, 155, 100
	MOVE G6D, 60, 165,  30, 165, 155, 100
	MOVE G6B,170,  10, 100, 100, 100, 150
	MOVE G6C,170,  10, 100, 100, 100, 150
	WAIT
	MOVE G6A, 60, 165,  25, 160, 145, 100
	MOVE G6D, 60, 165,  25, 160, 145, 100
	MOVE G6B,150,  60,  90, 100, 100, 150
	MOVE G6C,150,  60,  90, 100, 100, 150
	WAIT
	MOVE G6A,100, 155,  25, 140, 100, 100
	MOVE G6D,100, 155,  25, 140, 100, 100
	MOVE G6B,130,  50,  85, 100, 100, 150
	MOVE G6C,130,  50,  85, 100, 100, 150
	WAIT
	GOSUB standard_pose
RETURN
'====== fine rialzo caduta FRONTALE ==============

'=========== rialzo caduta di SCHIENA ============
backward_standup:
	SPEED 10
	MOVE G6A,100,  10, 100, 115, 100, 100
	MOVE G6D,100,  10, 100, 115, 100, 100
	MOVE G6B,100, 130,  10, 100, 100, 150
	MOVE G6C,100, 130,  10, 100, 100, 150
	WAIT
	MOVE G6A,100,  10,  83, 140, 100, 100
	MOVE G6D,100,  10,  83, 140, 100, 100
	MOVE G6B, 20, 130,  10, 100, 100, 150
	MOVE G6C, 20, 130,  10, 100, 100, 150
	WAIT
	MOVE G6A,100, 126,  60,  50, 100, 100
	MOVE G6D,100, 126,  60,  50, 100, 100
	MOVE G6B, 20,  30,  90, 100, 100, 150
	MOVE G6C, 20,  30,  90, 100, 100, 150
	WAIT
	MOVE G6A,100, 165,  70,  15, 100, 100
	MOVE G6D,100, 165,  70,  15, 100, 100
	MOVE G6B, 30,  20,  95, 100, 100, 150
	MOVE G6C, 30,  20,  95, 100, 100, 150
	WAIT
	MOVE G6A,100, 165,  40, 100, 100, 100
	MOVE G6D,100, 165,  40, 100, 100, 100
	MOVE G6B,110,  70,  50, 100, 100, 150
	MOVE G6C,110,  70,  50, 100, 100, 150
	WAIT
	GOSUB standard_pose
RETURN
'====== fine rialzo caduTA DI Schiena ============

'=========== posizione di meditazione ============
meditation_pose:
	SPEED 3
	MOVE G6A,100,151,23,140,100,100
	MOVE G6B,100,30,80,100,100,150
	MOVE G6C,100,30,80,100,100,150
	MOVE G6D,100,151,23,140,100,100
	MOVE G8A,101,154,22,157,100,100
	MOVE G6B,101,30,80,100,100,150
	MOVE G6C,101,32,82,100,100,150
	MOVE G6D,100,156,23,154,97,100
	DELAY 500
	MOVE G8A,101,156,21,157,100,100
	MOVE G6B,146,30,80,100,100,150
	MOVE G6C,144,34,84,100,100,150
	MOVE G6D,101,156,23,155,95,100
	DELAY 500
	MOVE G6A,101,159,21,156,102,100
	MOVE G6B,151,15,41,100,100,150
	MOVE G6C,148,10,37,100,100,150
	MOVE G6D,101,160,23,155,94,100
	DELAY 3000
	MOVE G6A,101,156,21,157,100,100
	MOVE G6B,146,30,80,100,100,150
	MOVE G6C,144,34,84,100,100,150
	MOVE G6D,101,156,23,155,95,100
	DELAY 500
	MOVE G6A,100,151,23,140,100,100
	MOVE G6B,100,30,80,100,100,150
	MOVE G6C,100,30,80,100,100,150
	MOVE G6D,100,151,23,140,100,100
RETURN
'====== fine posizone di meditazione==============

'=========== calcio laterale SX ==================
left_kick:
	SPEED 5
	MOVE G6A,100,76,125,125,100,100
	MOVE G6D,100,76,125,125,100,100
	WAIT
	MOVE G6A,100,145,32,140,100,100
	MOVE G6D,100,145,32,140,100,100
	MOVE G6B,140,30,80
	MOVE G6B,170,20,20
	MOVE G6C,170,30,80
	MOVE G6D,110,145,32,140,100,100
	MOVE G6A,100,145,32,140,109,100
	WAIT
	MOVE G6D,110,145,32,140,104,100
	WAIT
	MOVE G6D,115,145,32,140,100,100
	MOVE G6A,100,145,32,140,140,100
	WAIT
	MOVE G6D,115,145,32,140,122,100
	DELAY 1000
	SPEED 15
	HIGHSPEED SETON
	MOVE G6A,93, 83,136,103,152,100
	MOVE G6D,115,145,32,140,140,100
	DELAY 1000
	HIGHSPEED SETOFF
	SPEED 5
	MOVE G6A,93,144,52,103,152,100
	MOVE G6A,93,144,52,103,89,100
	MOVE G6D,115,145,32,158,117,100
	MOVE G6A,93,144,52,120,89,100
	MOVE G6D,97,134,55,129,112,100
	MOVE G6B,170,61,75
	GOSUB standard_pose
RETURN
'====== fine calcio laterale SX ==================

'=========== calcio laterale DX ==================
right_kick:
	SPEED 5
	MOVE G6A,100,76,125,125,100,100
	MOVE G6D,100,76,125,125,100,100
	WAIT
	MOVE G6D,100,145,32,140,100,100
	MOVE G6A,100,145,32,140,100,100
	MOVE G6C,140,30,80
	MOVE G6C,170,20,20
	MOVE G6B,170,30,80
	MOVE G6A,110,145,32,140,100,100
	MOVE G6D,100,145,32,140,109,100
	WAIT
	MOVE G6A,110,145,32,140,104,100
	WAIT
	MOVE G6A,115,145,32,140,100,100
	MOVE G6D,100,145,32,140,140,100
	WAIT
	MOVE G6A,115,145,32,150,122,100
	DELAY 1000
	SPEED 15
	HIGHSPEED SETON
	MOVE G6D,93, 83,136,103,152,100
	MOVE G6A,115,145,32,140,140,100
	DELAY 1000
	HIGHSPEED SETOFF
	SPEED 5
	MOVE G6D,93,144,52,103,152,100
	MOVE G6D,93,144,52,103,89,100
	MOVE G6A,115,145,32,158,117,100
	MOVE G6D,93,144,52,120,89,100
	MOVE G6A,97,134,55,129,112,100
	MOVE G6C,170,61,75
	GOSUB standard_pose
RETURN
'====== fine calcio laterale DX ==================

'===========alza/abbassa braccio sx ==============
left_arm_up_front_down:
	IF BRACCIO_SX_STATO=0 THEN
		BRACCIO_SX_STATO=1
		GOSUB left_arm_front_up
		GOTO left_arm_up_front_down_end
	ENDIF
	IF BRACCIO_SX_STATO=1 THEN
		BRACCIO_SX_STATO=2
		GOSUB left_arm_up
		GOTO left_arm_up_front_down_end
	ENDIF
	BRACCIO_SX_STATO=0
	GOSUB left_arm_down
	GOTO left_arm_up_front_down_end
	left_arm_up_front_down_end:
RETURN

left_arm_up:
	SPEED 10
	MOVE G6B,100,100,100
	WAIT
	MOVE G6B,100,100,150
	WAIT
	MOVE G6B,100,190,100
	WAIT
RETURN

left_arm_front_up:
	SPEED 10
	MOVE G6B,188,10,100,,,
	WAIT
RETURN

left_arm_down:
SPEED 10
MOVE G6B,,30,80,,,
WAIT
MOVE G6B,100,,,,,
RETURN
'======== fine alza/abbassa braccio sx ===========

'===========alza/abbassa braccio sx ==============
right_arm_up_front_down:
	IF BRACCIO_DX_STATO=0 THEN
		BRACCIO_DX_STATO=1
		GOSUB right_arm_front_up
		GOTO right_arm_up_front_down_end
	ENDIF
	IF BRACCIO_DX_STATO=1 THEN
		BRACCIO_DX_STATO=2
		GOSUB right_arm_up
		GOTO right_arm_up_front_down_end
	ENDIF
	BRACCIO_DX_STATO=0
	GOSUB right_arm_down
	GOTO right_arm_up_front_down_end
	right_arm_up_front_down_end:
RETURN

right_arm_up:
	SPEED 10
	MOVE G6C,100,100,100
	WAIT
	MOVE G6C,100,100,150
	WAIT
	MOVE G6C,100,190,100
	WAIT
RETURN

right_arm_front_up:
	SPEED 10
	MOVE G6C,188,10,100,,,
	WAIT
RETURN

right_arm_down:
	SPEED 10
	MOVE G6C,,30,80,,,
	WAIT
	MOVE G6C,100,,,,,
RETURN
'======== fine alza/abbassa braccio sx ===========

'===========apri/chiudi mano sx ==================
right_hand_open_close:
	IF MANO_DX_STATO=0 THEN
		MANO_DX_STATO=1
		GOSUB right_hand_open
		GOTO k6_end
	ENDIF
	MANO_DX_STATO=0
	GOSUB right_hand_close
RETURN


right_hand_open:
	MOVE G6C,,,,,,75
	SPEED 5
RETURN

right_hand_close:
	SPEED 5
	MOVE G6C,,,,,,150
RETURN
'======== fine apri/chiudi mano dx ===============

'===========apri/chiudi mano sx ==================
left_hand_open_close:
	IF MANO_SX_STATO=0 THEN
		MANO_SX_STATO=1
		GOSUB left_hand_open
		GOTO k4_end
	ENDIF
	MANO_SX_STATO=0
	GOSUB left_hand_close
RETURN

left_hand_open:
MOVE G6B,,,,,,75
SPEED 5
RETURN

left_hand_close:
SPEED 5
MOVE G6B,,,,,,150
RETURN
'======== fine apri/chiudi mano sx ===============

'===========  stretching =========================
stretching:
	SPEED 3
	MOVE G6B,140,30,80
	MOVE G6C,140,30,80
	MOVE G6A,100,56,145,160,100,100
	MOVE G6D,100,56,145,160,100,100
	WAIT
	MOVE G6A,100,24,185,160,100,100
	MOVE G6D,100,24,185,160,100,100
	MOVE G6C,175,24,80
	MOVE G6B,175,24,80
	WAIT
	GOSUB left_hand_open
	GOSUB right_hand_open
	WAIT
	GOSUB left_hand_close
	GOSUB right_hand_close
	WAIT
	DELAY 2000
	SPEED 5
	GOSUB standard_pose
	FOR i=1 TO 2
		MOVE G6A, 90,  97, 114, 102,  90, 100
		MOVE G6D,108, 113,  75, 124, 113, 100
		MOVE G6B, 99, 171, 162, 100, 100, 151
		MOVE G6C,103,  42,  93, 100, 100, 150
		WAIT
		MOVE G6A,108, 113,  75, 124, 113, 100
		MOVE G6D, 90,  97, 114, 102,  90, 100
		MOVE G6B,103,  42,  93, 100, 100, 150
		MOVE G6C, 99, 171, 162, 100, 100, 151
		WAIT
	NEXT i
	GOSUB standard_pose
	DELAY 500
	SPEED 5
	FOR i=1 TO 2
	'gamba sx avanti pos intermedia
		MOVE G6A,100, 128, 109,  76,  99, 100
		MOVE G6D,100,  55, 112, 147,  98, 100
		MOVE G6B,134,  28,  96, 100, 100, 152
		MOVE G6C, 85,  33,  82, 100, 100, 151
		WAIT
		DELAY 500
		'gamba sx avanti
		MOVE G6A,100, 147,  82,  78,  99, 100
		MOVE G6D,100,  62,  89, 161,  98, 100
		MOVE G6B,100,  30,  80, 100, 100, 150
		MOVE G6C,100,  30,  80, 100, 100, 150
		WAIT
		DELAY 500
	NEXT i
	FOR i=1 TO 2
	'gamba dx avanti pos intermedia
		MOVE G6A,100,  55, 112, 147,  98, 100
		MOVE G6D,100, 128, 109,  76,  99, 100
		MOVE G6B, 85,  33,  82, 100, 100, 151
		MOVE G6C,134,  28,  96, 100, 100, 152
		WAIT
		DELAY 500
		'gamba dx avanti
		MOVE G6A,100,  62,  89, 161,  98, 100
		MOVE G6D,100, 147,  82,  78,  99, 100
		MOVE G6B,100,  30,  80, 100, 100, 150
		MOVE G6C,100,  30,  80, 100, 100, 150
		WAIT
		DELAY 500
	NEXT i
	DELAY 1000
	SPEED 8
	GOSUB standard_pose
RETURN

legs:
	MOVE G6B,186,30,35,100,100,150
	MOVE G6C,186,30,35,100,100,150
	SPEED 10
	DELAY 500
	FOR i = 1 TO 5
		MOVE G6A,100,150,25,140,100,100
		MOVE G6D,100,150,25,140,100,100
		WAIT
		MOVE G6A,100,76,145,93,100,100
		MOVE G6D,100,76,145,93,100,100
		WAIT
	NEXT i
	SPEED 5
	GOSUB standard_pose
RETURN

arms:
	MOVE G6B,100,180,150,100,100,75
	MOVE G6C,100,180,150,100,100,75
	WAIT
	SPEED 10
	FOR i = 1 TO 5
		MOVE G6B,100,30,80,100,100,75
		MOVE G6C,100,30,80,100,100,75
		WAIT
		MOVE G6B,100,180,150,100,100,150
		MOVE G6C,100,180,150,100,100,150
		WAIT
	NEXT i
	SPEED 5
	GOSUB standard_pose
RETURN

'=================== flessioni =================
push_up_position:
	SPEED 10
	MOVE G6A,97,156,26,130,102,100
	MOVE G6B,100,96,99,100,100,150
	MOVE G6C,100,102,98,100,100,150
	MOVE G6D,97,161,27,128,104,100
	MOVE G6A,98,161,26,160,103,100
	MOVE G6B,180,17,98,100,100,150
	MOVE G6C,177,20,91,100,100,150
	MOVE G6D,99,158,27,157,102,100
	WAIT
	MOVE G6A,100,163,60,154,102,100
	MOVE G6B,180,17,98,100,100,150
	MOVE G6C,177,20,91,100,100,150
	MOVE G6D,100,164,63,148,100,100
	WAIT
	MOVE G6A,100,61,157,74,105,100
	MOVE G6D,100,61,167,68,99,100
	WAIT
RETURN

push_up:
	GOSUB push_up_position
	FOR i = 0 TO 5
		MOVE G6A,100,61,157,74,105
		MOVE G6B,180,89,11
		MOVE G6C,177,84,11
		MOVE G6D,100,61,166,68,98,100
		WAIT
		MOVE G6B,181,17,98
		MOVE G6C,177,22,92
		WAIT	
	NEXT i
	GOSUB rise_up
RETURN

push_up_dx:
	GOSUB push_up_position
	MOVE G6A,100,60,156,100,162,100
	MOVE G6C,160,13,88
	MOVE G6D,103,59,162,71,96,100
	WAIT
	MOVE G6B,181,169,178
	WAIT
	FOR i = 0 TO 5
		MOVE G6C,177,84,11
		WAIT
		MOVE G6C,177,22,92
		WAIT	
	NEXT i
	MOVE G6B,180,17,98
	WAIT
	GOSUB rise_up
RETURN

push_up_sx:
	GOSUB push_up_position
	MOVE G6D,100,60,156,100,162,100
	MOVE G6B,160,13,88
	MOVE G6A,103,59,162,71,96,100
	WAIT
	MOVE G6C,181,169,178
	WAIT
		FOR i = 0 TO 5
		MOVE G6B,177,84,11
		WAIT
		MOVE G6B,177,22,92
		WAIT	
	NEXT i
	MOVE G6C,180,17,98
	WAIT
	GOSUB rise_up
RETURN

rise_up:
	SPEED 15
	MOVE G6A,76,165,54,162,156,100
	MOVE G6B,181,22,98,100,100,150
	MOVE G6C,181,22,98,100,100,150
	MOVE G6D,76,165,54,162,156,100
	WAIT
	MOVE G6A,76,165,54,162,156,100
	MOVE G6B,163,17,115,100,100,150
	MOVE G6C,163,17,115,100,100,150
	MOVE G6D,76,165,54,162,156,100
	WAIT
	MOVE G6A,60,164,21,162,136,100
	MOVE G6B,145,17,115,100,100,150
	MOVE G6C,145,17,115,100,100,150
	MOVE G6D,60,164,21,162,136,100
	WAIT
	SPEED 5
	GOSUB standard_pose
RETURN

'============ fine flessioni =================

'============ addominali =====================
abdominals:
	SPEED 5
	GOSUB standard_pose
	MOVE G6A,100,170,71,23,100,100
	MOVE G6D,100,170,71,23,100,100
	MOVE G6B,80,50,70
	MOVE G6C,80,50,70
	WAIT
	MOVE G6A,100,133,71,23,100,100
	MOVE G6D,100,133,71,23,100,100
	MOVE G6B,10,96,15
	MOVE G6C,10,96,15
	WAIT
	MOVE G6A,100,133,49,23,100,100
	MOVE G6D,100,133,49,23,100,100
	MOVE G6B,45,116,15
	MOVE G6C,45,116,15
	WAIT
	MOVE G6B,35,95,95,100,100,150
	MOVE G6C,35,95,95,100,100,150
	MOVE G6A,102,20,112,70,98,100
	MOVE G6D,102,20,112,70,98,100
	WAIT
	MOVE G6A,100,10,110,90,100,100
	MOVE G6D,100,10,110,90,100,100
	MOVE G6B,90,185,155,100,100,150
	MOVE G6C,90,185,155,100,100,150
	HIGHSPEED SETON
	FOR i = 1 TO 5
		MOVE G6A,100,10,110,145,100,100
		MOVE G6D,100,10,110,145,100,100
		WAIT
		MOVE G6A,100,10,110,90,100,100
		MOVE G6D,100,10,110,90,100,100
		WAIT
	NEXT i
	DELAY 1000
	MOVE G6A,100,10,110,90,152,100
	MOVE G6D,100,10,110,90,152,100
	MOVE G6B,74,135,110,100,100,150
	MOVE G6C,74,135,110,100,100,150
	WAIT
	MOVE G6B,31,35,90,100,100,150
	MOVE G6C,31,35,90,100,100,150
	WAIT
	MOVE G6B,10,35,90,100,100,150
	MOVE G6C,10,35,90,100,100,150
	WAIT
	MOVE G6A,89,64,135,24,130,100
	MOVE G6D,89,65,135,24,130,100
	WAIT
	MOVE G6A,100,100,100,20,130,100
	MOVE G6D,100,100,100,20,130,100
	WAIT
	MOVE G6A,90,169,50,20,130,100
	MOVE G6D,90,169,50,20,130,100
	WAIT
	MOVE G6A,75,169,50,100,130,100
	MOVE G6D,75,169,50,100,130,100
	WAIT
	HIGHSPEED SETOFF
	MOVE G6B,100,35,90,100,100,150
	MOVE G6C,100,35,90,100,100,150
	WAIT
	MOVE G6A,88,168,25,130,114,100
	MOVE G6D,88,168,25,130,114,100
	WAIT
	GOSUB standard_pose
RETURN

'============ fine addominali =================

'======== pugni frontali tipo pugile ==========

punch:
	SPEED 15
	MOVE G6A,97,65,132,136,104,100
	MOVE G6D,102,78,123,131,98,100
	WAIT
	HIGHSPEED SETON
	MOVE G6C,102,50,100,100,100,150
	MOVE G6B,102,50,100,100,100,150
	FOR i = 1 TO 5
		MOVE G6C,180,50,100,100,100,150
		MOVE G6C,180,10,50,100,100,150
		MOVE G6B,180,50,100,100,100,150
		MOVE G6B,180,10,50,100,100,150
		MOVE G6C,180,50,100,100,100,150
		MOVE G6B,180,50,100,100,100,150
	NEXT i
	HIGHSPEED SETOFF
	SPEED 5
	GOSUB standard_pose
RETURN

'=== fine pugni frontali tipo pugile =============


'================ macarena =======================
macarena:
	FOR G= 1 TO 3
		SPEED 10
		GOSUB macarena_pos_1
		DELAY 500
		GOSUB macarena_pos_2
		DELAY 500
		GOSUB macarena_pos_3
		DELAY 500
		GOSUB macarena_pos_4
		DELAY 500
		SPEED 10
		GOSUB macarena_pos_5
		DELAY 500
		SPEED 3
		GOSUB macarena_pos_6
		SPEED 10
		GOSUB standard_pose
		GOSUB macarena_pos_7
		DELAY 500
		SPEED 5
		GOSUB standard_pose
	NEXT G
	DELAY 2000
	GOSUB bow_pose
	DELAY 1000
	GOSUB standard_pose
RETURN

macarena_pos_1:
	MOVE G6B,185,  20,  85, 100, 100, 150
	WAIT
	MOVE G6C,185,  20,  85, 100, 100, 150
	WAIT
RETURN

macarena_pos_2:
	MOVE G6B,,,,,,100
	WAIT
	MOVE G6C,,,,,,100
	WAIT
RETURN

macarena_pos_3:
	MOVE G6B,,,,,,150
	WAIT
	MOVE G6C,,,,,,150
	WAIT
	SPEED 12
	MOVE G6B,100, 165, 185, 100, 100, 150
	WAIT
	MOVE G6C,100, 165, 185, 100, 100, 150
	WAIT
RETURN

macarena_pos_4:
	MOVE G6B,145,  30,  45, 100, 100, 150
	WAIT
	MOVE G6C,145,  30,  45, 100, 100, 150
	WAIT
RETURN

macarena_pos_5:
	MOVE G6B,101,  80,  22, 100, 100, 150
	WAIT
	MOVE G6C,101,  80,  22, 100, 100, 150
	WAIT
RETURN

macarena_pos_6:

	FOR i= 1 TO 2
		MOVE G6B,101,  45,  55, 100, 100, 150
		MOVE G6C,101,  45,  55, 100, 100, 150
		MOVE G6A, 93,  75, 143,  93, 106, 100
		MOVE G6D,108,  75, 140,  93,  91, 100
		WAIT

		MOVE G6B,80,  45,  55, 100, 100, 150
		MOVE G6C,80,  45,  55, 100, 100, 150
		MOVE G6A,100,  90, 144,  78, 100, 100
		MOVE G6D,100,  90, 144,  78, 100, 100
		WAIT

		MOVE G6B,101,  45,  55, 100, 100, 150
		MOVE G6C,101,  45,  55, 100, 100, 150
		MOVE G6A,108,  75, 140,  93,  91, 100
		MOVE G6D, 93,  75, 143,  93, 106, 100
		WAIT

		MOVE G6B,140,  45,  55, 100, 100, 150
		MOVE G6C,140,  45,  55, 100, 100, 150
		MOVE G6A,101,  63, 140, 120, 100, 100
		MOVE G6D,102,  63, 140, 120, 100, 100

		WAIT
	NEXT i

RETURN

macarena_pos_7:
	SPEED 15
	WAIT
	FOR i = 1 TO 2
		MOVE G6A,85,,,,,
		MOVE G6D,85,,,,,,
		MOVE G6B,100,55,55
		MOVE G6C,100,55,55
		WAIT
		MOVE G6D,100,,,,,
		MOVE G6A,100,,,,,
		MOVE G6C,100,45,65
		MOVE G6B,100,45,65
		WAIT
		DELAY 100
	NEXT i
RETURN

'=========== fine macarena =======================

'============ presentazione iniziale =============
presentazione_iniziale:
	GOSUB forward_walk
	DELAY 300
	GOSUB bow_pose
	DELAY 1000
	GOSUB standard_pose
	DELAY 300
	GOSUB backward_walk
	GOSUB standard_pose
	DELAY 500
RETURN
'======= fine presentazione iniziale =============

'============ saluti finali ======================
saluti_finali:
	SPEED 5
	GOSUB bow_pose
	DELAY 1000
	GOSUB standard_pose
	DELAY 500
	GOSUB ciao
	GOSUB standard_pose
RETURN
'======= fine saluti finali ======================

'===================== ciao ======================
ciao:
	SPEED 12
	GOSUB right_arm_up
	SPEED 8
	FOR i=1 TO 5
		MOVE G6C,,,70,,,120
		WAIT
		MOVE G6C,,,130,,,150
		WAIT
	NEXT i
	GOSUB right_arm_down
RETURN

'================= fine ciao======================

'=================== break dance =================

break_dance:
	GOSUB presentazione_iniziale
	GOSUB break_dance_1
	GOSUB standard_pose
	GOSUB handstanding
	SPEED 15
	GOSUB alza_le_braccia
	GOSUB break_dance_2
	DELAY 1000
	GOSUB saluti_finali
RETURN

break_dance_1:

	SPEED 15
	GOSUB alza_le_braccia
	DELAY 2000
	GOSUB break_dance_2
	GOSUB movimento_braccio_dx_ei
	SPEED 8
	GOSUB posizione_gambe_mov_gamba_dx
	GOSUB movimento_gamba_dx
	GOSUB posizione_gambe_centro
	GOSUB posizione_gambe_mov_gamba_sx
	GOSUB movimento_gamba_sx
	GOSUB posizione_gambe_centro
	SPEED 15
	GOSUB movimento_braccio_sx_ie
	DELAY 1000
RETURN

break_dance_2:
	FOR i = 1 TO 2
		GOSUB movimento_braccio_dx_ei
		GOSUB movimento_braccio_sx_ie
		GOSUB movimento_braccio_sx_ei
		GOSUB movimento_braccio_dx_ei
	NEXT i
RETURN

alza_le_braccia:
	MOVE G6C, 100, 100, 100, 100, 100, 150
	MOVE G6B, 100, 100, 100, 100, 100, 150
	WAIT
RETURN

movimento_braccio_dx_ei:
	MOVE G6C, 100, 100, 140, 100, 100, 150
	WAIT
	MOVE G6C, 100, 140,  30, 100, 100, 150
	WAIT
	MOVE G6C, 100, 100, 100, 100, 100, 150
	WAIT
RETURN

movimento_braccio_dx_ie:
	MOVE G6C, 100, 140,  30, 100, 100, 150
	WAIT
	MOVE G6C, 100, 100, 140, 100, 100, 150
	WAIT
	MOVE G6C, 100, 100, 100, 100, 100, 150
	WAIT
RETURN

posizione_gambe_mov_gamba_dx:
	MOVE G6A, 105,  76, 145,  93, 100, 100
	MOVE G6D, 100,  76, 145,  93, 100, 100
	WAIT
RETURN

movimento_gamba_dx:
	MOVE G6A, 105, 76, 145,  93, 100, 100
	MOVE G6D, 100,  55, 145,  105, 100, 100
	WAIT

posizione_gambe_centro:
	MOVE G6A, 100,  76, 145,  93, 100, 100 'centro
	MOVE G6D, 100,  76, 145,  93, 100, 100'centro
	WAIT
RETURN

posizione_gambe_mov_gamba_sx:
	MOVE G6A, 100,  76, 145,  93, 100, 100
	MOVE G6D, 105,  76, 145,  93, 100, 100
	WAIT
RETURN

movimento_gamba_sx:
	MOVE G6A, 100,  55, 145,  105, 100, 100
	MOVE G6D, 105, 76, 145,  93, 100, 100
	WAIT
RETURN

movimento_braccio_sx_ei:
	MOVE G6B, 100, 100, 140, 100, 100, 150
	WAIT
	MOVE G6B, 100, 140,  30, 100, 100, 150
	WAIT
	MOVE G6B, 100, 100, 100, 100, 100, 150
	WAIT
RETURN

movimento_braccio_sx_ie:
	MOVE G6B, 100, 140,  30, 100, 100, 150
	WAIT
	MOVE G6B, 100, 100, 140, 100, 100, 150
	WAIT
	MOVE G6B, 100, 100, 100, 100, 100, 150
	WAIT
RETURN

'==============fine break dance ===============


'================ balletto ====================

balletto:
	GOSUB presentazione_iniziale
	GOSUB dance1
	GOSUB dance3
	GOSUB dance2
	GOSUB dance1
	GOSUB saluti_finali
RETURN

dance1:
	SPEED 15
	WAIT
	FOR i = 1 TO 3
		MOVE G6A,85,76,145,93,100,100
		MOVE G6D,85,76,145,93,100,100
		MOVE G6B,100,55,55
		MOVE G6C,100,55,55
		WAIT
		MOVE G6D,100,76,145,93,100,100
		MOVE G6A,100,76,145,93,100,100
		MOVE G6C,100,45,65
		MOVE G6B,100,45,65
		WAIT
		DELAY 100
	NEXT i
	DELAY 200
	FOR i = 1 TO 3
		MOVE G6A,85,76,145,93,100,100
		MOVE G6D,85,76,145,93,100,100
		MOVE G6B,100,55,55
		MOVE G6C,100,55,55
		WAIT
		MOVE G6D,100,76,145,93,100,100
		MOVE G6A,100,76,145,93,100,100
		MOVE G6C,100,45,65
		MOVE G6B,100,45,65
		WAIT
		DELAY 100
	NEXT i
	FOR i = 1 TO 3
		MOVE G6A,85,76,145,93,100,100
		MOVE G6D,85,76,145,93,100,100
		MOVE G6B,100,55,55
		MOVE G6C,100,55,55
		WAIT
		MOVE G6D,100,76,145,93,100,100
		MOVE G6A,100,76,145,93,100,100
		MOVE G6C,100,45,65
		MOVE G6B,100,45,65
		WAIT
		DELAY 100
	NEXT i
	DELAY 200
	GOSUB standard_pose
RETURN

dance2:
	SPEED 15
	FOR i = 1 TO 3
		MOVE G6A,101,76,145,93,100,100
		MOVE G6D,99,76,145,93,100,100
		MOVE G6B,100,145,180
		MOVE G6C,100,100,145
		WAIT
		MOVE G6D,101,76,145,93,100,100
		MOVE G6A,99,76,145,93,100,102
		MOVE G6C,100,145,180
		MOVE G6B,100,120,145
		WAIT
		DELAY 100
	NEXT i
		DELAY 100
		FOR i = 1 TO 3
		MOVE G6A,101,76,145,93,100,100
		MOVE G6D,99,76,145,93,100,100
		MOVE G6B,100,145,180
		MOVE G6C,100,120,145
		WAIT
		MOVE G6D,101,76,145,93,100,100
		MOVE G6A,99,76,145,93,100,100
		MOVE G6C,100,145,180
		MOVE G6B,100,120,145
		DELAY 100
		WAIT
	NEXT i
	DELAY 100
	FOR i = 1 TO 3
		MOVE G6A,101,76,145,93,100,100
		MOVE G6D,99,76,145,93,100,102
		MOVE G6B,100,145,180
		MOVE G6C,100,120,145
		WAIT
		MOVE G6D,101,76,145,93,100,100
		MOVE G6A,99,76,145,93,100,102
		MOVE G6C,100,145,180
		MOVE G6B,100,120,145
		WAIT
	NEXT i
	GOSUB standard_pose
RETURN


dance3:
	MOVE G6A,87,120,73,130,112,100
	MOVE G6D,87,120,73,130,112,100
	MOVE G6B,102,100,100
	MOVE G6C,102,100,100
	WAIT
	DELAY 1000
	SPEED 5
	FOR i = 1 TO 2
		MOVE G6A,117,166,22,130,133,100
		MOVE G6D,63,77,138,102,89,100
		WAIT
		DELAY 500
		MOVE G6A,87,120,73,130,112,100
		MOVE G6D,87,120,73,130,112,100
		WAIT
		DELAY 500
		MOVE G6A,63,77,138,102,89,100
		MOVE G6D,117,166,22,130,133,100
		WAIT
		DELAY 500
		MOVE G6A,87,120,73,130,112,100
		MOVE G6D,87,120,73,130,112,100
		WAIT
		DELAY 500
	NEXT i
	SPEED 5
	MOVE G6A,87,120,73,125,112,100
	MOVE G6D,87,120,73,125,112,100
	WAIT
	DELAY 500
	SPEED 10
	MOVE G6A,100,62,165,90,100,100
	MOVE G6D,100,62,165,90,100,100
	MOVE G6B,102,30,80
	MOVE G6C,102,30,80
	SPEED 10
	GOSUB standard_pose
RETURN
'==========fine balletto =========================


'======== va a terra di fronte ===================

front_lie_down:
	GOSUB fall_forward
	GOSUB standard_pose
RETURN

fall_forward:
	SPEED 10
	MOVE G6A,100,155,25,140,100,100
	MOVE G6D,100,155,25,140,100,100
	MOVE G6B,130,50,85,100,100,150
	MOVE G6C,130,50,85,100,100,150
	WAIT
	MOVE G6A,60,165,25,160,145,100
	MOVE G6D,60,165,25,160,145,100
	MOVE G6B,150,60,90,100,100,150
	MOVE G6C,150,60,90,100,100,150
	WAIT
	MOVE G6A,60,165,30,165,155,100
	MOVE G6D,60,165,30,165,155,100
	MOVE G6B,170,10,100,100,100,150
	MOVE G6C,170,10,100,100,100,150
	WAIT
	SPEED 3
	MOVE G6A,75,165,55,165,155,100
	MOVE G6D,75,165,55,165,155,100
	MOVE G6B,185,10,100,100,100,150
	MOVE G6C,185,10,100,100,100,150
	WAIT
	SPEED 10
	MOVE G6A,80,155,85,150,150,100
	MOVE G6D,80,155,85,150,150,100
	MOVE G6B,185,40,60,100,100,150
	MOVE G6C,185,40,60,100,100,150
	WAIT
	MOVE G6A,100,130,120,80,110,100
	MOVE G6D,100,130,120,80,110,100
	MOVE G6B,125,160,10,100,100,150
	MOVE G6C,125,160,10,100,100,150
	WAIT
RETURN
'======== fine va a terra di fronte ===============

'======== va a terra di schiena ===================
back_lie_down:
	GOSUB fall_backward
	GOSUB standard_pose
RETURN

fall_backward:
	SPEED 8
	MOVE G6A,100,150,26,140,100,100
	MOVE G6D,100, 150,26,140,100,100
	MOVE G6B,40,30,80,100,100,150
	MOVE G6C,40,30,80,100,100,150
	WAIT
	MOVE G6A,100,150,26,100,125,100
	MOVE G6D,100,150,26,100,125,100
	MOVE G6B,40,80,80,100,100,150
	MOVE G6C,40,80,80,100,100,150
	WAIT
RETURN
'======== fine va a terra di schiena ==============

'======== cammina avanti seduto ===================
sit_forward_walking:
	SPEED 8
	GOSUB sit_forward_walking_passo
	GOSUB sit_forward_walking_termina
RETURN

sit_forward_walking_passo:
	SPEED 8
	MOVE G6B,100,35,80
	MOVE G6C,100,35,80
'	WAIT
	FOR i = 1 TO 2
	MOVE G6A,115,150,24,140,94,100
	MOVE G6D,86,151,26,140,110,100
	WAIT
	MOVE G6A,100,160,25,133,100,100
	MOVE G6D,100,131,26,162,100,100
	WAIT
	MOVE G6A,86,151,26,140,110,100
	MOVE G6D,115,150,24,140,94,100
	WAIT
	MOVE G6A,100,131,26,162,100,100
	MOVE G6D,100,160,25,133,100,100
'	WAIT
	NEXT i
RETURN

sit_forward_walking_termina:
	MOVE G6A,115,150,24,140,94,100
	MOVE G6D,86,151,26,140,110,100
	WAIT
	MOVE G6A,100,151,23,140,100,100
	MOVE G6D,100,151,23,140,100,100
	WAIT
RETURN
'======== fine cammina avanti seduto ===============

'======== cammmina indietro seduto =================

sit_backward_walking:
	SPEED 8
	GOSUB sit_backward_walking_passo
	GOSUB sit_backward_walking_termina
RETURN

sit_backward_walking_passo:
	SPEED 8
	MOVE G6B,100, 35,80
	MOVE G6C,100,35,80
	WAIT
	FOR i = 1 TO 2
	MOVE G6A,115,150,24,140,94,100
	MOVE G6D,86,151,26,140,110,100
	WAIT
	MOVE G6A,100,131,26,162,100,100
	MOVE G6D,100,160,25,133,100,100
	WAIT
	MOVE G6A,86,151,26,140,110,100
	MOVE G6D,115,150,24,140,94,100
	WAIT
	MOVE G6A,100,160,25,133,100,100
	MOVE G6D,100,131,26,162,100,100
	WAIT
	NEXT i
RETURN

sit_backward_walking_termina:
	MOVE G6A,115,150,24,140,94,100
	MOVE G6D,86,151,26,140,110,100
	WAIT
	MOVE G6A,100,151,23,140,100,100
	MOVE G6D,100,151,23,140,100,100
	WAIT
RETURN
'======== fine cammina indietro seduto ============

'======== spostamento laterale sx seduto===========
sit_left_shift:
	MOVE G6A,86,151,23,140,105,100
	MOVE G6D,112,150,23,140,100,100
	MOVE G6B,100,40,75
	MOVE G6C,100,40,75
	WAIT
	MOVE G6A,86,151,26,140,115,100
	MOVE G6D,86,151,26,140,115,100
	WAIT
	MOVE G6A,118,154,24,140,95,100
	MOVE G6D,80,154,24,140,110,100
	WAIT
	MOVE G6A,100,151,23,140,100,100
	MOVE G6D,100,151,23,140,100,100
	MOVE G6B,100,30,80
	MOVE G6C,100,30,80
	WAIT
RETURN
'======== fine spostamento laterale sx seduto =====

'======== spostamento laterale dx seduto ==========
sit_right_shift:
	MOVE G6D,86,151,23,140,105,100
	MOVE G6A,112,150,23,140,100,100
	MOVE G6C,100,40,75
	MOVE G6B,100,40,75
	WAIT
	MOVE G6D,86,151,26,140,115,100
	MOVE G6A,86,151,26,140,115,100
	WAIT
	MOVE G6D,118,154,24,140,95,100
	MOVE G6A,80,154,24,140,110,100
	WAIT
	MOVE G6D,100,151,23,140,100,100
	MOVE G6A,100,151,23,140,100,100
	MOVE G6C,100,30,80
	MOVE G6B,100,30,80
	WAIT
RETURN
'======== fine spostamento laterale dx seduto ====

'================= spaccata ======================
splits:
	SPEED 5
	MOVE G6A,58,75,148,93,190,70
	MOVE G6D,58,75,148,93,190,70
	MOVE G6B,100,110,110,100,100,150
	MOVE G6C,100,110,110,100,100,150
	DELAY 3000
	GOSUB hands_up
	DELAY 1000
	SPEED 10
	MOVE G6B,100,100,130
	MOVE G6C,100,100,130
	WAIT
	MOVE G6B,188,100,130
	MOVE G6C,188,100,130
	WAIT
	MOVE G6B,188,10,110
	MOVE G6C,188,10,110
	DELAY 1000
	MOVE G6B,188,110,110
	MOVE G6C,188,110,110
	WAIT
	MOVE G6B,100,110,110,100,100,150
	MOVE G6C,100,110,110,100,100,150
	SPEED 5
	DELAY 2000
	MOVE G6A,58,75,148,149,190,70
	MOVE G6D,58,75,148,149,190,70
	MOVE G6B,100,30,110,100,100,150
	MOVE G6C,100,30,110,100,100,150
	WAIT
	MOVE G6B,100,30,85,100,100,150
	MOVE G6C,100,30,85,100,100,150
	WAIT
	MOVE G6A,100,76,148,93,100,100
	MOVE G6D,100,76,148,93,100,100
	MOVE G6B,40,30,85,100,100,150
	MOVE G6C,40,30,85,100,100,150
	MOVE G6B,40,30,80,100,100,150
	MOVE G6C,40,30,80,100,100,150
	WAIT
	SPEED 10
	MOVE G6A,100,10,100,115,100,100
	MOVE G6D,100,10,100,115,100,100
	MOVE G6B,80,130,10,100,100,150
	MOVE G6C,80,130,10,100,100,150
	WAIT
	MOVE G6A,100,10,83,140,100,100
	MOVE G6D,100,10,83,140,100,100
	MOVE G6B,20,130,10,100,100,150
	MOVE G6C,20,130,10,100,100,150
	WAIT
	MOVE G6A,100,126,60,50,100,100
	MOVE G6D,100,126,60,50,100,100
	MOVE G6B,20,30,90,100,100,150
	MOVE G6C,20,30,90,100,100,150
	WAIT
	MOVE G6A,100,165,70,15,100,100
	MOVE G6D,100,165,70,15,100,100
	MOVE G6B,30,20,95,100,100,150
	MOVE G6C,30,20,95,100,100,150
	WAIT
	MOVE G6A,100,165,40,100,100,100
	MOVE G6D,100,165,40,100,100,100
	MOVE G6B,110,70,50,100,100,150
	MOVE G6C,110,70,50,100,100,150
	SPEED 5
	GOSUB standard_pose
RETURN
'================= fine spaccata ===============

'========= spinta fronte =======================
front_push:
RETURN
'======= fine spinta fronte ====================

'========= spinta retro ========================
rear_push:
RETURN
'======= fine spinta retro =====================

'========= balzo spinta fronte =================
front_jump_push:
RETURN
'======= fine balzo spinta fronte ==============

'========= balzo spinta retro ==================
rear_jump_push:
RETURN
'======= fine balzo spinta retro ===============

'========= spallata laterale sx ================
shoulder_push_sx:

'	MOVE G6A, 100,  76, 145,  93, 100, 100
'	MOVE G6D, 100,  76, 145,  93, 100, 100
'	MOVE G6B, 100,  30,  80, 100, 100, 150
'	MOVE G6C, 100,  30,  80, 100, 100, 150
	SPEED 15
	MOVE G6B, 100,  100,  100, 100, 100, 150	' posiziona braccio sx alzato per spallata
	
	SPEED 10
	MOVE G6A,  85,  71, 152,  91, 112,  60,
	MOVE G6D, 112,  76, 145,  93,  92,  60,
	MOVE G6B, 100, 100, 100' braccio sx alzato per spallata
	MOVE G6C, 100,  40,  80
	WAIT
	
	SPEED 14
	MOVE G6D, 110,  92, 124,  97,  93,  70,
	MOVE G6A,  76,  72, 160,  82, 128,  70,
	MOVE G6B, 100, 100, 100' braccio sx alzato per spallata
	MOVE G6C, 100,  35,  90
	WAIT
	
	MOVE G6A,  93,  76, 145,  94, 109, 100,
	MOVE G6D,  93,  76, 145,  94, 109, 100,
	MOVE G6B, 100, 100, 100' braccio sx alzato per spallata
	MOVE G6C, 100,  35,  90
	WAIT
	
	GOSUB left_shift4

	GOSUB left_shift5
	GOSUB left_shift6
RETURN

'left_shift4:
'	MOVE G6A, 110,  92, 124,  97,  93,  70,
'	MOVE G6D,  76,  72, 160,  82, 128,  70,
'	MOVE G6B, 100,  35,  90
'	MOVE G6C, 100,  35,  90
'	WAIT
'RETURN
'
'left_shift5:
'	MOVE G6D,  86,  83, 135,  97, 114,  60,
'	MOVE G6A, 113,  78, 145,  93,  93,  60,
'	MOVE G6C,  90,  40,  80
'	MOVE G6B, 100,  40,  80
'	WAIT
'RETURN
'
'left_shift6:
'	MOVE G6D,  85,  71, 152,  91, 112,  60,
'	MOVE G6A, 112,  76, 145,  93,  92,  60,
'	MOVE G6C, 100,  40,  80
'	MOVE G6B, 100,  40,  80
'	WAIT
'RETURN


RETURN
'======= fine spallata laterale sx =============

'========= spallata laterale dx ================
shoulder_push_dx:

	SPEED 15
	MOVE G6C, 100,  100,  20, 100, 100, 150	' posiziona braccio dx alzato per spallata
	WAIT

	SPEED 10
	MOVE G6D,  85,  71, 152,  91, 112, 60
	MOVE G6A, 112,  76, 145,  93,  92, 60
	MOVE G6B, 100,  40,  80
	MOVE G6C, 100, 100,  20' braccio dx alzato per spallata
	WAIT

	SPEED 14
	MOVE G6A,110,  92, 124,  97,  93,  70
	MOVE G6D, 76,  72, 160,  82, 128,  70
	MOVE G6B,100,  35,  90
	MOVE G6C,100, 100,  20' braccio dx alzato per spallata
	WAIT

	MOVE G6A, 93,  76, 145,  94, 109, 100
	MOVE G6D, 93,  76, 145,  94, 109, 100
	MOVE G6B,100,  35,  90
	MOVE G6C,100, 100,  20' braccio dx alzato per spallata
	WAIT

	GOSUB right_shift4
	GOSUB right_shift5
	GOSUB right_shift6
RETURN


'======= fine spallata laterale dx =============



'==sequenza dimostrativa dance =======================================
dimo_dance:
	SPEED 5
	GOSUB standard_pose
	GOSUB break_dance
	DELAY 1000
	GOSUB dance1
	DELAY 1000
	GOSUB dance2
	DELAY 1000
	GOSUB dance3
	SPEED 5
RETURN
'================= fine sequenza dimostrativa dance ========================

'================= sequenza dimostrativa HAKA =============

dimo_haka:
	SPEED 15
	MOVE G6B,100,50,80,100,100,150
	MOVE G6C,100,50,80,100,100,150
	WAIT
	MOVE G6A,90,150,25,140,110,100
	MOVE G6D,90,150,25,140,110,100
	WAIT
	HIGHSPEED SETON
	MOVE G6C,187,50,80,100,100,150
	MOVE G6C,187,15,15,100,100,150
	WAIT
	MOVE G6B,170,50,80,100, 100,150
	MOVE G6B,170,15,35,100, 100,150
	SPEED 10

	MOVE G6B,170,40,35,100,100,150
	WAIT
	MOVE G6C,170,40,35,100,100,150
	WAIT
	FOR i = 1 TO 6
		MOVE G6B,135,40,35,100,100,150
		MOVE G6C,135,40,35,100,100,150
		WAIT
		MOVE G6B,170,40,35,100,100,150
		MOVE G6C,170,40,35,100,100,150
		DELAY 500
	NEXT i
	MOVE G6B,170,30,10,100,100,150
	MOVE G6C,170,30,10,100,100,150
	DELAY 300
	MOVE G6A,90,150,23,125,110,100
	MOVE G6D,90,150,23,125,110,100
	MOVE G6B,188,35,54,100,100,150
	MOVE G6C,188,35,54,100,100,150
	WAIT
	MOVE G6A,90,150,25,140,110,100
	MOVE G6D,90,150,25,140,110,100
	WAIT
	MOVE G6B,170,40,35,100,100,150
	WAIT
	MOVE G6C,170,40,35,100,100,150
	WAIT
	FOR i = 1 TO 2
		MOVE G6B,135,40,35,100,100,150
		MOVE G6C,135,40,35,100,100,150
		WAIT
		MOVE G6B,170,40,35,100,100,150
		MOVE G6C,170,40,35,100,100,150
		DELAY 500
	NEXT i
	MOVE G6B,170,30,10,100,100,150
	MOVE G6C,170,30,10,100,100,150
	DELAY 300
	MOVE G6A,90,150,23,125,110,100
	MOVE G6D,90,150,23,125,110,100
	MOVE G6B,188,35,54,100,100,150
	MOVE G6C,188,35,54,100,100,150
	WAIT
	MOVE G6A,90,150,25,140,110,100
	MOVE G6D,90,150,25,140,110,100
	WAIT
	MOVE G6B,188,10,10,100,100,150
	DELAY 500
	MOVE G6B,188,35,54,100,100,150
	WAIT
	MOVE G6C,188,10,10,100,100,150
	DELAY 500
	MOVE G6C,188,35,54,100,100,150
	MOVE G6B,153,11,108,100,100,150
	MOVE G6C,159,17,66,100,100,150
	SPEED 2
	FOR i = 1 TO 3
	MOVE G6C,159,10,40,100,100,150
	MOVE G6C,159,17,66,100,100,150
	NEXT i
	SPEED 5
	MOVE G6B,160,40,60,100,100,150
	MOVE G6C,160,40,60,100,100,150
	WAIT
	MOVE G6B,186,40,60,100,100,150
	MOVE G6C,186,40,60,100,100,150
	WAIT
	MOVE G6C,105,185,133,100,100,150
	FOR i = 1 TO 2
	MOVE G6B,187,11,10,100,100,150
	MOVE G6B,187,11,40,100,100,150
	DELAY 500
	NEXT i
	MOVE G6B,186,40,60,100,100,150
	MOVE G6C,186,40,60,100,100,150
	MOVE G6B,105,185,133,100,100,150
	FOR i = 1 TO 2
	MOVE G6C,187,11,10,100,100,150
	MOVE G6C,187,11,40,100,100,150
	DELAY 500
	NEXT i
	MOVE G6B,186,40,60,100,100,150
	MOVE G6C,186,40,60,100,100,150
	MOVE G6C,105,185,133,100,100,150
	FOR i = 1 TO 2
	MOVE G6B,187,11,10,100,100,150
	MOVE G6B,187,11,40,100,100,150
	DELAY 500
	NEXT i
	MOVE G6B,186,40,60,100,100,150
	MOVE G6C,186,40,60,100,100,150
	DELAY 500
	MOVE G6B,170,40,35,100,100,150
	MOVE G6C,170,40,35,100,100,150
	DELAY 500
	MOVE G6B,170,70,35,100,100,150
	MOVE G6C,170,70,35,100,100,150
	WAIT
	MOVE G6B,100,70,35,100,100,150
	MOVE G6C,100,70,35,100,100,150
	WAIT
	MOVE G6B,100,70,24,100,100,150
	MOVE G6C,100,70,24,100,100,150
	WAIT
	SPEED 5
	HIGHSPEED SETOFF
	MOVE G6A,90,150,25,150,110,100
	MOVE G6D,90,150,25,150,110,100
	WAIT
	GOSUB standard_pose
	SPEED 7
RETURN

'============fine sequenza dimostrativa HAKA =============

'================= sequenza dimostrativa matrix =============
dimo_matrix:
	SPEED 10
	MOVE G6A,72,165,23,70,143,100
	MOVE G6D,72,165,23,70,143,100
	MOVE G6B,170,100,100,100,100,150
	MOVE G6C,170,100,100,100,100,150
	MOVE G6A,79,160,23,42,185,100
	MOVE G6D,79,160,23,42,185,100
	WAIT
	DELAY 4000
	SPEED 6
	MOVE G6A,72,165,23,70,143,100
	MOVE G6D,72,165,23,70,143,100
	MOVE G6B,170,50,70,100,100,150
	MOVE G6C,170,50,70,100,100,150
	WAIT
	MOVE G6A,100,151,23,140,101,100
	MOVE G6D,100,151,23,140,101,100
	MOVE G6B,100,30,80,100,100,150
	MOVE G6C,100,30,80,100,100,150
	WAIT
	SPEED 8
	GOSUB standard_pose
RETURN

'============fine sequenza dimostrativa matrix =============

'================= sequenza dimostrativa arti marziali =============
dimo_arti_marziali:
	SPEED 5
	GOSUB LED_OFF
	GOSUB meditation_pose
	DELAY 2000
	TEMPO 230
	MUSIC "ABCABC"
	GOSUB LED_ON
	GOSUB standard_pose
	DELAY 1000
	GOSUB forward_walk
	DELAY 1000
	GOSUB bow_pose
	DELAY 1000
	GOSUB right_shift
	DELAY 1000
	GOSUB right_attack
	DELAY 2000
	GOSUB right_kick
	DELAY 2000
	GOSUB left_shift
	DELAY 1000
	GOSUB left_attack
	DELAY 2000
	GOSUB left_kick
	DELAY 2000
	GOSUB meditation_pose
RETURN

'================= sequenza dimostrativa arti marziali =============

'================= sequenza dimostrativa sport =============

dimo_sport:
	SPEED 5
	GOSUB standard_pose
	DELAY 1000
	GOSUB stretching
	DELAY 1000
	GOSUB legs
	DELAY 1000
	GOSUB arms
	DELAY 1000
	GOSUB abdominals
	DELAY 1000
	GOSUB push_up
	DELAY 1000
	GOSUB punch
RETURN

'================= sequenza dimostrativa sport =============